<?php
/* start messaging */
add_action('wp_ajax_nopriv_aone_msg_start_messaging', 'aone_msg_start_messaging');
add_action('wp_ajax_aone_msg_start_messaging', 'aone_msg_start_messaging');
function aone_msg_start_messaging(){
	global $aonemsg, $service_finder_options;
	$output = array();
	$msg_from = (isset($_POST['from'])) ? sanitize_text_field($_POST['from']) : '';
	$msg_to = (isset($_POST['to'])) ? sanitize_text_field($_POST['to']) : '';
	$type = (isset($_POST['type'])) ? sanitize_text_field($_POST['type']) : '';
	$targetid = (isset($_POST['targetid'])) ? sanitize_text_field($_POST['targetid']) : '';
	$msg_body = (isset($_POST['editorcontent'])) ? $_POST['editorcontent'] : '';
	$maileditorcontent = (isset($_POST['maileditorcontent'])) ? $_POST['maileditorcontent'] : '';
	
	$blocked_users = get_user_meta($msg_from,'aone_msg_blocked_users',true);
	$hisblocked_users = get_user_meta($msg_to,'aone_msg_blocked_users',true);
	
	$blocked_users = (!empty($blocked_users)) ? $blocked_users : array();
	$hisblocked_users = (!empty($hisblocked_users)) ? $hisblocked_users : array();
	
	if(in_array($msg_to,$blocked_users) || in_array($msg_from,$hisblocked_users)){
		die;
	}
	
	if ( !is_user_logged_in() || $msg_from != get_current_user_id() ) die();
	
	$aonemsg->write_message( $msg_from, $msg_to, $msg_body, $mode='sent', $_POST );
	$aonemsg->write_message( $msg_to, $msg_from, $msg_body, $mode='inbox', $_POST );
	
	$output['currentchat'] = $aonemsg->get_current_chat( $msg_to, $_POST );
	$aonemsg->remove_read_chat( $msg_to, $_POST );
	
	if($type == 'quote'){
	
		if($service_finder_options['quote-chat-message-received-to-user-subject'] != ""){
			$subject = $service_finder_options['quote-chat-message-received-to-user-subject'];
		}else{
			$subject = esc_html__('Chat Message Received for Quote', 'service-finder');
		}
	
		if(!empty($service_finder_options['quote-chat-message-received-to-user'])){
			$message = $service_finder_options['quote-chat-message-received-to-user'];
		}else{
			$message = 'New chat message received for Quote.
						Quote ID: %QUOTEID%
						Message: %MESSAGE%
						%LINK%';
		}
		
		if(aone_msg_get_user_role($msg_to) == 'Provider'){
			$url = service_finder_get_my_account_url($msg_to);
			$link = add_query_arg( array('tabname' => 'quotation'), $url );
		}elseif(aone_msg_get_user_role($msg_to) == 'Customer')
		{
			$quoteapplicantspage = service_finder_get_url_by_shortcode('[service_finder_quotation_replies');
			$link = add_query_arg( array('quoteid' => $targetid ),$quoteapplicantspage );
		}
		
		$tokens = array('%QUOTEID%','%MESSAGE%','%LINK%');
		$replacements = array('#'.$targetid,$maileditorcontent,'<a href="'.esc_attr($link).'">'.esc_html($link).'</a>');
		$mail_body = str_replace($tokens,$replacements,$message);
		
		$user_email = aone_msg_get_user_email($msg_to);
		service_finder_wpmailer($user_email,$subject,$mail_body);
	}
	
	if($type == 'job'){
	
		if($service_finder_options['job-chat-message-received-to-user-subject'] != ""){
			$subject = $service_finder_options['job-chat-message-received-to-user-subject'];
		}else{
			$subject = esc_html__('Chat Message Received for Job', 'service-finder');
		}
	
		if(!empty($service_finder_options['job-chat-message-received-to-user'])){
			$message = $service_finder_options['job-chat-message-received-to-user'];
		}else{
			$message = 'New chat message received for Job.
						Job Title: %JOBTITLE%
						Message: %MESSAGE%
						%LINK%';
		}
		
		if(aone_msg_get_user_role($msg_to) == 'Provider'){
			$url = service_finder_get_my_account_url($msg_to);
			$link = add_query_arg( array('tabname' => 'my-jobs'), $url );
		}elseif(aone_msg_get_user_role($msg_to) == 'Customer')
		{
			$jobapplicantspage = service_finder_get_url_by_shortcode('[service_finder_job_applicants');
			$link = add_query_arg( array('jobid' => $targetid ),$jobapplicantspage );
		}
		
		$tokens = array('%JOBTITLE%','%MESSAGE%','%LINK%');
		$replacements = array(get_the_title($targetid),$maileditorcontent,'<a href="'.esc_attr($link).'">'.esc_html($link).'</a>');
		$mail_body = str_replace($tokens,$replacements,$message);
		
		$user_email = aone_msg_get_user_email($msg_to);
		service_finder_wpmailer($user_email,$subject,$mail_body);
	}

	/* Status for browser */
	$output['message'] = '<div class="aone-msg-notice">'.esc_html__('Your message has been sent successfully.','aone-messaging').'</div>';
	
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Load conversation */
add_action('wp_ajax_nopriv_aone_msg_load_conversation', 'aone_msg_load_conversation');
add_action('wp_ajax_aone_msg_load_conversation', 'aone_msg_load_conversation');
function aone_msg_load_conversation(){
	global $aonemsg,$current_user;
	$output = array();
	$chat_with = (isset($_POST['user_id'])) ? sanitize_text_field($_POST['user_id']) : '';
	$period = (isset($_POST['period'])) ? sanitize_text_field($_POST['period']) : '';
	
	if ( !is_user_logged_in() ) die();
	
	$aonemsg->remove_unread_msg($chat_with,$_POST);
	$aonemsg->remove_read_chat( $chat_with,$_POST );
	
	$loadconv = $aonemsg->load_conversation($chat_with,$period,$_POST);
	
	$output['conversation'] = $loadconv;
	
	/*Single Chat window*/
	//$html = $aonemsg->load_message_form($chat_with);
	//$output['form'] = $html;
	$output['avatar'] = get_avatar( $chat_with, 100);
		
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Delete conversation */
add_action('wp_ajax_nopriv_aone_msg_delete_conversation', 'aone_msg_delete_conversation');
add_action('wp_ajax_aone_msg_delete_conversation', 'aone_msg_delete_conversation');
function aone_msg_delete_conversation(){
	global $wpdb,$current_user;
	$output = array();
	$chat_with = (isset($_POST['user_id'])) ? sanitize_text_field($_POST['user_id']) : '';
	
	if ( !is_user_logged_in() ) die();
	
	$wpdb->query($wpdb->prepare('DELETE FROM `aone_messages` WHERE `from` = %d AND `with` = %d',$current_user->ID,$chat_with));
	
	$output['message'] = '<div class="aone-msg-notice">'.esc_html__('Conversation delete successfully.','aone-messaging').'</div>';
		
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Load Senders */
add_action('wp_ajax_nopriv_aone_msg_load_senders', 'aone_msg_load_senders');
add_action('wp_ajax_aone_msg_load_senders', 'aone_msg_load_senders');
function aone_msg_load_senders(){
	global $aonemsg;
	$output = array();
	
	$output = $aonemsg->load_senders_list();
		
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Refresh total unread msg count on each 30 seconds */
add_action('wp_ajax_nopriv_aone_msg_refresh_toal_unread', 'aone_msg_refresh_toal_unread');
add_action('wp_ajax_aone_msg_refresh_toal_unread', 'aone_msg_refresh_toal_unread');
function aone_msg_refresh_toal_unread(){
	global $current_user, $aonemsg;
	
	$output = $aonemsg->get_total_unread_count($current_user->ID);
		
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Refresh user unread msg count on each 30 seconds */
add_action('wp_ajax_nopriv_aone_msg_refresh_users_unread', 'aone_msg_refresh_users_unread');
add_action('wp_ajax_aone_msg_refresh_users_unread', 'aone_msg_refresh_users_unread');
function aone_msg_refresh_users_unread(){
	global $wpdb, $current_user;
	$output = array();
		
	$totalcount = 0;
	
	$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `unreadmsg` != "" AND `type` = ""',$current_user->ID));
	
	if(!empty($results)){
		foreach($results as $withuserid){
			$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `unreadmsg` != "" AND `type` = ""',$current_user->ID,$withuserid->with));
	
			if(!empty($row)){
				$tem = explode('[/]', $row->unreadmsg);
				$totalcount = count($tem) - 1;
				
				$output[$withuserid->with] = $totalcount;
				
			}else{
				$output[$withuserid->with] = 0;
			}	
		}
	}
	
	$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `unreadmsg` = "" AND `type` = ""',$current_user->ID));
	
	if(!empty($results)){
		foreach($results as $withuserid){
			$output[$withuserid->with] = 0;
		}
	}
	
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Refresh current chat after each 5 seconds */
add_action('wp_ajax_nopriv_aone_msg_refresh_current_chat', 'aone_msg_refresh_current_chat');
add_action('wp_ajax_aone_msg_refresh_current_chat', 'aone_msg_refresh_current_chat');
function aone_msg_refresh_current_chat(){
	global $current_user, $aonemsg;
	$output = array();
	$msg_to = (isset($_POST['user_id'])) ? sanitize_text_field($_POST['user_id']) : '';
	
	if ( !is_user_logged_in()) die();
	
	$output['currentchat'] = $aonemsg->get_current_chat( $msg_to );
	$aonemsg->remove_read_chat( $msg_to );
	$aonemsg->remove_unread_msg($msg_to);

	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Refresh check user online status after each 5 seconds */
add_action('wp_ajax_nopriv_aone_msg_change_user_status_via_ajax', 'aone_msg_change_user_status_via_ajax');
add_action('wp_ajax_aone_msg_change_user_status_via_ajax', 'aone_msg_change_user_status_via_ajax');
function aone_msg_change_user_status_via_ajax(){
	global $wpdb, $current_user, $aonemsg;
	$output = array();
	$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `type` = ""',$current_user->ID));

	if(!empty($results)){
		foreach($results as $row){
			$user_id = $row->with;
			if (aone_msg_is_user_online($user_id)) {
				$output[] = intval($user_id);
			}	
		}
	}
	
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Load single chat window in popup */
add_action('wp_ajax_nopriv_aone_msg_load_single_chat_popup', 'aone_msg_aone_msg_load_single_chat_popup');
add_action('wp_ajax_aone_msg_load_single_chat_popup', 'aone_msg_aone_msg_load_single_chat_popup');
function aone_msg_aone_msg_load_single_chat_popup(){
	global $wpdb, $current_user, $aonemsg;
	$output = array();
	$html = '';
	
	//$withid = (isset($_POST['withid'])) ? sanitize_text_field($_POST['withid']) : '';
	$type = aone_msg_get_data($_POST,'type');
	$targetid = aone_msg_get_data($_POST,'targetid');
	$toid = aone_msg_get_data($_POST,'toid');
	$fromid = aone_msg_get_data($_POST,'fromid');
	
	$aonemsg->remove_unread_msg($toid,$_POST);
	$aonemsg->remove_read_chat( $toid,$_POST);
	
	include_once AONE_MSG_DIR . 'templates/send-message.php';
	
	$output['chatpopup'] = $html;
	
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Load single chat window in popup */
add_action('wp_ajax_nopriv_aone_msg_reload_users_list', 'aone_msg_reload_users_list');
add_action('wp_ajax_aone_msg_reload_users_list', 'aone_msg_reload_users_list');
function aone_msg_reload_users_list(){
	global $wpdb, $current_user, $aonemsg;
	$output = array();
	$html = '';
	
	$output['unreadusers'] = $aonemsg->load_senders_short_list();
	
	$output['recentusers'] = $aonemsg->load_recent_senders();
	
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Block a user */
add_action('wp_ajax_nopriv_aone_msg_block_user', 'aone_msg_block_user');
add_action('wp_ajax_aone_msg_block_user', 'aone_msg_block_user');
function aone_msg_block_user(){
	global $wpdb, $current_user, $aonemsg;
	$output = array();
	$blocked_users = array();
	
	$withid = (isset($_POST['withid'])) ? sanitize_text_field($_POST['withid']) : '';
	
	$blocked_users = get_user_meta($current_user->ID,'aone_msg_blocked_users',true);
	
	if($blocked_users != ""){
	if(!in_array($withid,$blocked_users)){
	$blocked_users[] = $withid;
	}
	}else{
	$blocked_users = array();
	$blocked_users[] = $withid;
	}
	
	update_user_meta($current_user->ID,'aone_msg_blocked_users',$blocked_users);
	
	$output['message'] = '<div class="aone-msg-notice">'.esc_html__('User blocked successfully.','aone-messaging').'</div>';
	
	$output['unblock'] = '<i class="fa fa-unlock"></i> '.esc_html__('Unblock','aone-messaging');
	
	$output['notification'] = '<span>'.esc_html__('You have blocked this user','aone-messaging').'</span>';
	
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* UnBlock a user */
add_action('wp_ajax_nopriv_aone_msg_unblock_user', 'aone_msg_unblock_user');
add_action('wp_ajax_aone_msg_unblock_user', 'aone_msg_unblock_user');
function aone_msg_unblock_user(){
	global $wpdb, $current_user, $aonemsg;
	$output = array();
	$blocked_users = '';
	
	$withid = (isset($_POST['withid'])) ? sanitize_text_field($_POST['withid']) : '';
	
	$blocked_users = get_user_meta($current_user->ID,'aone_msg_blocked_users',true);
	
	$blocked_users = (!empty($blocked_users)) ? $blocked_users : array();
	
	if(in_array($withid,$blocked_users)){
		foreach($blocked_users as $key => $value){
			if($value == $withid){
				unset($blocked_users[$key]);
			}
		}
	}
	
	update_user_meta($current_user->ID,'aone_msg_blocked_users',$blocked_users);
	
	$output['message'] = '<div class="aone-msg-notice">'.esc_html__('User unblocked successfully.','aone-messaging').'</div>';
	
	$output['block'] = '<i class="fa fa-lock"></i> '.esc_html__('Block','aone-messaging');
	
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}

/* Load single chat window in popup */
add_action('wp_ajax_nopriv_aone_msg_append_current_chat', 'aone_msg_append_current_chat');
add_action('wp_ajax_aone_msg_append_current_chat', 'aone_msg_append_current_chat');
function aone_msg_append_current_chat(){
	global $wpdb, $current_user, $aonemsg;
	$output = array();
	$html = '';
	
	$type = aone_msg_get_data($_POST,'type');
	$targetid = aone_msg_get_data($_POST,'targetid');
	$toid = aone_msg_get_data($_POST,'toid');
	$fromid = aone_msg_get_data($_POST,'fromid');
	
	$html .= $aonemsg->load_unread_conversation($toid,'',$_POST);
	
	$aonemsg->remove_unread_msg($toid,$_POST);
	$aonemsg->remove_read_chat( $toid,$_POST);
	
	$output['newchat'] = $html;
	
	$output=json_encode($output);
	if(is_array($output)){ print_r($output); }else{ echo $output; } die;
}