<?php

class aone_msg_core {

	/* Constructor */
	function __construct() {
		
	}
	
	/* load message form */
	function load_message_form($to = '',$args = array()) {
		global $current_user;
		
		$editable = 'contenteditable="true"';
		$disabled = '';
		$disable_notice = '';
		$blockarea = '';
		
		$blocked_users = get_user_meta($current_user->ID,'aone_msg_blocked_users',true);
		$hisblocked_users = get_user_meta($to,'aone_msg_blocked_users',true);
		
		if(!empty($hisblocked_users) && !empty($blocked_users)){
		if(!in_array($to,$blocked_users) && !in_array($current_user->ID,$hisblocked_users)){
			$editable = 'contenteditable="true"';
		}else{
			$editable = 'contenteditable="false"';
		}
		}
		
		if(!empty($hisblocked_users) && !empty($blocked_users)){
		if(in_array($to,$blocked_users) || in_array($current_user->ID,$hisblocked_users)){
			$disable = 'disabled="disabled"';
			$blockarea = 'blocked-area-outer';
		}
		}
		
		if(!empty($blocked_users)){
		if(in_array($to,$blocked_users)){
			$disable_notice = '<span>'.esc_html__('You have blocked this user','aone-messaging').'</span>';		
		}
		}
		
		if(!empty($hisblocked_users)){
		if(in_array($current_user->ID,$hisblocked_users)){
			$disable_notice = '<span class="disable-notice">'.esc_html__('This user has blocked you','aone-messaging').'</span>';		
		}
		}
		
		$img = '<img src="'.AONE_MSG_URI . 'img/emoticons/{symbol}.png" class="userpro-emo" alt="" />';
		
		if($to != ''){
		 	$output = '<form class="aon-messenger-msg-form aone-send-message" id="formid-'.esc_attr($to).'">
						<input name="type" value="'.esc_attr(aone_msg_get_data($args,'type')).'" type="hidden">
						<input name="targetid" value="'.esc_attr(aone_msg_get_data($args,'targetid')).'" type="hidden">
                <div class="aon-messenger-reply-textarea">
                    <input name="from" value="'.esc_attr($current_user->ID).'" type="hidden">
					<input name="to" value="'.esc_attr($to).'" type="hidden">
					<div id="filesqueue"></div>
					<div id="editor-'.esc_attr($to).'" name="msgbody" class="aon-messenger-textarea" '.$editable.'>'.$disable_notice.'</div>
                </div>
				<div class="aon-messenger-icon-btn-wrapper '.sanitize_html_class($blockarea).'" id="blocked-area">
				<div class="aon-messenger-icons-area">
				<div class="aon-messenger-icon-btn">
                    <button type="button" class="btn btn-primary" id="emojibtn-'.esc_attr($to).'" style="margin-top:100px" '.$disable.'><i class="fa fa-smile-o"></i></button>
                </div>
				<input type="file" name="attachment" id="msg_file_upload">
					<input type="hidden" name="hidden_files_attachments">
				</div>
                <div class="aon-messenger-reply-send-area">
					<button class="aon-messenger-send-btn" name="sendmessage" type="submit" '.$disable.'><i class="fa fa-send-o"></i> '.esc_html__('Send','aone-messaging').'</button>
                </div>
				<span class="aon-block-area"></span>
				</div>
            </form>';
		}else{
			$output = '<form class="aon-messenger-msg-form aone-send-message">
                <div class="aon-messenger-reply-textarea">
                    <input name="from" id="from" value="'.esc_attr($current_user->ID).'" type="hidden">
					<input name="to" id="to" value="" type="hidden">
					<div id="filesqueue"></div>
					<div id="editor" name="msgbody" class="aon-messenger-textarea" contenteditable="true"></div>
                </div>
				<div class="aon-messenger-icon-btn-wrapper '.sanitize_html_class($blockarea).'" id="blocked-area">
				<div class="aon-messenger-icons-area">
				<div class="aon-messenger-icon-btn" id="btn">
                    <i class="fa fa-smile-o"></i>
                </div>
					<input type="file" name="attachment" id="msg_file_upload">
					<input type="hidden" name="hidden_files_attachments">
				</div>
                <div class="aon-messenger-reply-send-area">
					<button class="aon-messenger-send-btn" name="sendmessage" type="submit"><i class="fa fa-send-o"></i> '.esc_html__('Send','aone-messaging').'</button>
                </div>
				<span class="aon-block-area"></span>
				</div>
            </form>';
		}
		
		return $output;
		
	}	
	
	/* Write message */
	function write_message($user1, $user2, $body, $mode, $args = array()) {
		global $wpdb;
		$timezone = get_option('timezone_string');
		date_default_timezone_set($timezone);

		$formattedmsg = $this->format_message($body, $mode);
		
		if(aone_msg_get_data($args,'type') != '')
		{
			$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `type` = %s AND `targetid` = %d',$user1,$user2,aone_msg_get_data($args,'type'),aone_msg_get_data($args,'targetid')));
		}else
		{
			$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `type` = ""',$user1,$user2));
		}
		
		if(empty($row)){
			if($mode == 'inbox'){
			$data = array(
	
						'from' => $user1,
						
						'with' => $user2,
						
						'type' => aone_msg_get_data($args,'type',''),
						
						'targetid' => aone_msg_get_data($args,'targetid',0),
						
						'msgbody' => $formattedmsg,
						
						'unreadmsg' => $formattedmsg,
						
						'timestamp' => date('Y-m-d H:i:s')
						
					);
	
			}else{
			$data = array(
	
						'from' => $user1,
						
						'with' => $user2,
						
						'type' => aone_msg_get_data($args,'type',''),
						
						'targetid' => aone_msg_get_data($args,'targetid',0),
						
						'msgbody' => $formattedmsg,
						
					);
			}
			
			$wpdb->insert('aone_messages',wp_unslash($data));
			
			$this->flash_chat_message($user1, $user2, $body, $mode, $args);
			
		}else{
		if($mode == 'inbox'){
			$data = array(
	
						'msgbody' => $formattedmsg.$row->msgbody,
						
						'unreadmsg' => $formattedmsg.$row->unreadmsg,
						
						'timestamp' => date('Y-m-d H:i:s')
	
					);
		}else{
			$data = array(
	
						'msgbody' => $formattedmsg.$row->msgbody,
	
					);
		}		
		$where = array(

					'id' => $row->id,
					
				);			
		$a = $wpdb->update('aone_messages',wp_unslash($data),$where);
		
		$this->flash_chat_message($user1, $user2, $body, $mode, $args);
		
		}
		
	}
	
	/* Write message */
	function flash_chat_message($from, $to, $msg, $mode, $args = array()) {
		global $wpdb;
		$timezone = get_option('timezone_string');
		date_default_timezone_set($timezone);
		
		$data = array(
	
					'from' => $from,
					
					'to' => $to,
					
					'type' => aone_msg_get_data($args,'type',''),
						
					'targetid' => aone_msg_get_data($args,'targetid',0),
					
					'message' => $msg,
					
					'mode' => $mode,
					
					'timestamp' => date('Y-m-d H:i:s')
					
				);
		
		$wpdb->insert('aone_tempchat',wp_unslash($data));
		
	}

	/* Format message */
	function format_message($bodycontent, $mode) {
		$timezone = get_option('timezone_string');
		date_default_timezone_set($timezone);
		
		$timestamp = time();
		
		$seperator = "\n" . '[/]' . "\n";
		
		$bodycontent = trim($bodycontent);
		
		$message = '[mode]'.$mode.'[/mode]' . "\n" . 
					'[status]unread[/status]' . "\n" . 
					'[timestamp]'.$timestamp.'[/timestamp]' . "\n" . 
					'[content]'.$bodycontent.'[/content]' 
					. $seperator;
		
		return $message;
		
	}
	
	/* Load conversation */
	function load_conversation($withid,$period = '',$args = array()) {
		global $wpdb, $current_user;
		$timezone = get_option('timezone_string');
		if(!empty($timezone)){
		date_default_timezone_set($timezone);
		}
		
		if(service_finder_getUserRole($current_user->ID) == 'administrator'){
			$currentuserid = (isset($_POST['fromid'])) ? esc_attr($_POST['fromid']) : '';
		}else{
			$currentuserid = $current_user->ID;
		}
		
		if($period == ''){
			$period = 30;
		}
		
		$chatexist = 0;
		$conversation = '';
		
		if(aone_msg_get_data($args,'type') != '')
		{
		$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `type` = %s AND `targetid` = %d',$currentuserid,$withid,aone_msg_get_data($args,'type'),aone_msg_get_data($args,'targetid')));
		}else
		{
		$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `type` = ""',$currentuserid,$withid));
		}
		
		if(!empty($row)){
		$tem = explode('[/]', $row->msgbody);
		$tem = array_reverse($tem);
		
		$today = strtotime('today');
		$yesterday = strtotime('yesterday');
		
		$flag = '';
		
		if(!empty($tem)){
		foreach($tem as $key => $item) {
			if ( strlen($item) > 10 ) {
		
			$message = $this->get_msg_data( $item );
			
			$differenceInSec = time() - $message['actualtime'];
			$differenceInDays = floor($differenceInSec / 60 / 60 / 24) + 1;
			
			if($differenceInDays <= $period){
			$chatexist = 1;
			$temp = explode(' ',$message['timestamp']);
			$val = $temp[0];
			$unit = $temp[1];
			
			$filterflag = 0;
			
			if($unit == 'hour' || $unit == 'hours' || $unit == 'minute' || $unit == 'minutes' || $unit == 'second' || $unit == 'seconds' ){
				
				if($message['actualtime'] <= $today && $message['actualtime'] >= $yesterday){
					$subheading = esc_html__('Yesterday', 'aone-messaging');
					$filterflag = 2;
				}elseif($message['actualtime'] >= $today){
					$subheading = esc_html__('Today', 'aone-messaging');
					$filterflag = 1;
				}else{
					$subheading = date('l F d,Y',$message['actualtime']);
				}
				
				
			}elseif( ($unit == 'day' || $unit == 'days' || $unit == 'month' || $unit == 'months' || $unit == 'year' || $unit == 'years') && $val > 1 ){
				$subheading = date('l F d,Y',$message['actualtime']);
			}
			
			if($period == 1 && $filterflag == 2){continue;}
			
			if($flag != $subheading){
			$conversation .= '<div class="aon-messenger-chat-date">'.$subheading.'</div>';
			}
			
			$flag = $subheading;
			
			if (isset($message['mode']) && $message['mode'] == 'sent') {
			
			
			$conversation .= '<div class="aon-messenger-chat-row"><div class="aon-messenger-your-reply-area">
                    <div class="aon-messenger-info-wrap">
					<span class="aon-messenger-user-pic">'.get_avatar( $currentuserid, 100).'</span>
					<span class="aon-messenger-user-name">'.aone_msg_user_data( 'display_name',$currentuserid).'</span>
					<span class="aon-messenger-hours-ago"><i class="fa fa-clock-o"></i> '.$message['timestamp'].'</span>
					</div>
					<div class="aon-messenger-msg-message">
                        '.$message['content'].'</div>
                </div></div>';
			
			}else{
			
			$varified = '';
			if(class_exists('service_finder_booking_plugin')) {
				if(aone_msg_get_user_role($withid) == 'Provider'){
					if(service_finder_is_varified_user($withid)){
					$varified = '<div class="aon-user-featured-approve">
									<i class="fa fa-check"></i>
									<span>'.esc_html__('Verified Provider', 'aone-messaging').'</span>
								</div>';
					}
				}	
			}
			
			$conversation .= '<div class="aon-messenger-chat-row">
								<div class="aon-messenger-user-reply-area">
									<div class="aon-messenger-info-wrap">
									<span class="aon-messenger-user-pic">'.get_avatar( $withid, 100).'</span>
									<span class="aon-messenger-user-name">'.aone_msg_user_data( 'display_name',$withid).'</span>
									<span class="aon-messenger-hours-ago"><i class="fa fa-clock-o"></i> '.$message['timestamp'].'</span>
									</div>
									<div class="aon-messenger-msg-message">
										'.$message['content'].'
									</div>
								</div>
							</div>';
			}
			
			}
			
			}
		}
		}
		
		}
		
		if($chatexist == 0){
		$conversation .= '<div class="empty-chat">';
		if($this->no_chat_image() != '')
		{
			$conversation .= '<img src="'.$this->no_chat_image().'">';
		}else
		{
			$conversation .= '<img src="'.AONE_MSG_URI.'img/no-chat.jpg">';
		}
		$conversation .= '</div>';
		}
		
		return $conversation;
		
	}
	
	/* Load conversation */
	function load_unread_conversation($withid,$period = '',$args = array()) {
		global $wpdb, $current_user;
		$timezone = get_option('timezone_string');
		if(!empty($timezone)){
		date_default_timezone_set($timezone);
		}
		
		if(service_finder_getUserRole($current_user->ID) == 'administrator'){
			$currentuserid = (isset($_POST['fromid'])) ? esc_attr($_POST['fromid']) : '';
		}else{
			$currentuserid = $current_user->ID;
		}
		
		if($period == ''){
			$period = 30;
		}
		
		$chatexist = 0;
		$conversation = '';
		
		if(aone_msg_get_data($args,'type') != '')
		{
		$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `unreadmsg` != "" AND `type` = %s AND `targetid` = %d',$currentuserid,$withid,aone_msg_get_data($args,'type'),aone_msg_get_data($args,'targetid')));
		}else
		{
		$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `unreadmsg` != "" AND `type` = ""',$currentuserid,$withid));
		}
		
		if(!empty($row)){
		$tem = explode('[/]', $row->unreadmsg);
		$tem = array_reverse($tem);
		
		$today = strtotime('today');
		$yesterday = strtotime('yesterday');
		
		$flag = '';
		
		if(!empty($tem)){
		foreach($tem as $key => $item) {
			if ( strlen($item) > 10 ) {
		
			$message = $this->get_msg_data( $item );
			
			$differenceInSec = time() - $message['actualtime'];
			$differenceInDays = floor($differenceInSec / 60 / 60 / 24) + 1;
			
			if($differenceInDays <= $period){
			$chatexist = 1;
			$temp = explode(' ',$message['timestamp']);
			$val = $temp[0];
			$unit = $temp[1];
			
			$filterflag = 0;
			
			if($unit == 'hour' || $unit == 'hours' || $unit == 'minute' || $unit == 'minutes' || $unit == 'second' || $unit == 'seconds' ){
				
				if($message['actualtime'] <= $today && $message['actualtime'] >= $yesterday){
					$subheading = esc_html__('Yesterday', 'aone-messaging');
					$filterflag = 2;
				}elseif($message['actualtime'] >= $today){
					$subheading = esc_html__('Today', 'aone-messaging');
					$filterflag = 1;
				}else{
					$subheading = date('l F d,Y',$message['actualtime']);
				}
				
				
			}elseif( ($unit == 'day' || $unit == 'days' || $unit == 'month' || $unit == 'months' || $unit == 'year' || $unit == 'years') && $val > 1 ){
				$subheading = date('l F d,Y',$message['actualtime']);
			}
			
			if($period == 1 && $filterflag == 2){continue;}
			
			if($flag != $subheading){
			$conversation .= '<div class="aon-messenger-chat-date">'.$subheading.'</div>';
			}
			
			$flag = $subheading;
			
			if (isset($message['mode']) && $message['mode'] == 'sent') {
			
			
			$conversation .= '<div class="aon-messenger-chat-row"><div class="aon-messenger-your-reply-area">
                    <div class="aon-messenger-info-wrap">
					<span class="aon-messenger-user-pic">'.get_avatar( $currentuserid, 100).'</span>
					<span class="aon-messenger-user-name">'.aone_msg_user_data( 'display_name',$currentuserid).'</span>
					<span class="aon-messenger-hours-ago"><i class="fa fa-clock-o"></i> '.$message['timestamp'].'</span>
					</div>
					<div class="aon-messenger-msg-message">
                        '.$message['content'].'</div>
                </div></div>';
			
			}else{
			
			$varified = '';
			if(class_exists('service_finder_booking_plugin')) {
				if(aone_msg_get_user_role($withid) == 'Provider'){
					if(service_finder_is_varified_user($withid)){
					$varified = '<div class="aon-user-featured-approve">
									<i class="fa fa-check"></i>
									<span>'.esc_html__('Verified Provider', 'aone-messaging').'</span>
								</div>';
					}
				}	
			}
			
			$conversation .= '<div class="aon-messenger-chat-row">
								<div class="aon-messenger-user-reply-area">
									<div class="aon-messenger-info-wrap">
									<span class="aon-messenger-user-pic">'.get_avatar( $withid, 100).'</span>
									<span class="aon-messenger-user-name">'.aone_msg_user_data( 'display_name',$withid).'</span>
									<span class="aon-messenger-hours-ago"><i class="fa fa-clock-o"></i> '.$message['timestamp'].'</span>
									</div>
									<div class="aon-messenger-msg-message">
										'.$message['content'].'
									</div>
								</div>
							</div>';
			}
			
			}
			
			}
		}
		}
		
		}
		
		if($chatexist == 0){
		$conversation = '';
		}
		
		return $conversation;
		
	}
	
	/* Load senders list */
	function load_senders_list() {
		global $wpdb, $current_user;
		$timezone = get_option('timezone_string');
		if(!empty($timezone)){
		date_default_timezone_set($timezone);
		}
		
		$unread = $this->get_unread_sender_ids($current_user->ID);
		$read = $this->get_read_sender_ids($current_user->ID);
		
		if (isset($read) && !empty($read) && isset($unread) && !empty($unread) ){
		$read = array_diff($read, $unread);
		}
		$senders = '';
		
		if(!empty($unread) || !empty($read)){
		$senders .= '<div class="all-senders-list">';
		}
		
		if(!empty($unread)){
		foreach($unread as $user_id) {
		
		$varified = '';
		if(class_exists('service_finder_booking_plugin')) {
			if(aone_msg_get_user_role($user_id) == 'Provider'){
				if(service_finder_is_varified_user($user_id)){
				$varified = '<div class="aon-user-featured-approve">
								<i class="fa fa-check"></i>
								<span>'.esc_html__('Verified Provider', 'aone-messaging').'</span>
							</div>';
				}
			}	
		}
		
		$lastmessage = $this->get_last_message($user_id);
		if($lastmessage['mode'] == 'inbox'){
			$faicon = 'fa-envelope-o';
			$messagecontent = $lastmessage['content'];
		}else{
			$faicon = 'fa-reply';
			$messagecontent = $lastmessage['content'];
		}
		
		$unreadcount = $this->get_unread_msg_count($user_id);
		
		$unreadcountmsg = '';
		if(!empty($unreadcount) && $unreadcount > 0){
			$unreadcountmsg .= '<span class="aone-notifications">'.sprintf(esc_html__('%s unread','aone-messaging'), $unreadcount ).'</span>';
		}
		$displayname = aone_msg_user_data('display_name', $user_id);
		$senders .= '<div class="aon-messenger-chat-row user-row" id="rowuser-'.esc_attr($user_id).'" data-userid="'.esc_attr($user_id).'" data-username="'.esc_attr($displayname).'">
					<div class="aon-user-msg-inner">
						<div class="aon-user-msg-thum">
						'.get_avatar( $user_id, 100).'
	                    '.$varified.'
						'.aone_msg_display_user_status($user_id).'
						</div>
						<div class="aon-user-msg-heading">
							<span><i class="fa fa-user"></i>'.aone_msg_user_data('display_name', $user_id).'</span>
							<span class="quick-reply"><i class="fa fa-comment"></i>'.esc_html__('quick reply', 'aone-messaging').'</span>
						</div>
						<div class="aon-messenger-msg-message">
							'.$unreadcountmsg.'
							<span><i class="fa '.sanitize_html_class($faicon).'"></i></span>'.$messagecontent.'</div>
						<div class="aon-user-msg-footer">
							<span class="aon-user-read-conversation read-conversation"><i class="fa fa-file-text-o"></i>'.esc_html__('Read Conversation', 'aone-messaging').'</span>
							<span class="aon-user-delete-conversation delete-conversation"><i class="fa fa-trash-o"></i>'.esc_html__('Delete Conversation', 'aone-messaging').'</span>
							<span class="aon-user-view-profile"><i class="fa fa-eye"></i>'.esc_html__('View Profile', 'aone-messaging').'</span>
							<span class="aon-messenger-hours-ago"><i class="fa fa-clock-o"></i> '.$lastmessage['timestamp'].'</span>               	
						</div>
					</div>
					<div id="reply-form-'.esc_attr($user_id).'" class="aon-user-reply-form quick-reply-form" style="display:none">
						'.$this->load_message_form($user_id).'
					</div>
				</div>';
		
		}
		}
		
		if(!empty($read)){
		foreach($read as $user_id) {
		
		$varified = '';
		if(class_exists('service_finder_booking_plugin')) {
			if(aone_msg_get_user_role($user_id) == 'Provider'){
				if(service_finder_is_varified_user($user_id)){
				$varified = '<div class="aon-user-featured-approve">
								<i class="fa fa-check"></i>
								<span>'.esc_html__('Verified Provider', 'aone-messaging').'</span>
							</div>';
				}
			}	
		}
		
		$lastmessage = $this->get_last_message($user_id);
		if($lastmessage['mode'] == 'inbox'){
			$faicon = 'fa-envelope-o';
			$messagecontent = $lastmessage['content'];
		}else{
			$faicon = 'fa-reply';
			$messagecontent = $lastmessage['content'];
		}
		$displayname = aone_msg_user_data('display_name', $user_id);
		$senders .= '<div class="aon-messenger-chat-row user-row" data-userid="'.esc_attr($user_id).'" data-username="'.esc_attr($displayname).'">
					<div class="aon-user-msg-inner">
						<div class="aon-user-msg-thum">
						'.get_avatar( $user_id, 100).'
	                    '.$varified.'
						'.aone_msg_display_user_status($user_id).'
						</div>
						<div class="aon-user-msg-heading">
							<span><i class="fa fa-user"></i>'.aone_msg_user_data('display_name', $user_id).'</span>
							<span class="quick-reply"><i class="fa fa-comment"></i>'.esc_html__('quick reply', 'aone-messaging').'</span>
						</div>
						<div class="aon-messenger-msg-message">
							<span><i class="fa '.sanitize_html_class($faicon).'"></i></span>'.$messagecontent.'</div>
						<div class="aon-user-msg-footer">
							<span class="aon-user-read-conversation read-conversation"><i class="fa fa-file-text-o"></i>'.esc_html__('Read Conversation', 'aone-messaging').'</span>
							<span class="aon-user-delete-conversation delete-conversation"><i class="fa fa-trash-o"></i>'.esc_html__('Delete Conversation', 'aone-messaging').'</span>
							<span class="aon-user-view-profile"><i class="fa fa-eye"></i>'.esc_html__('View Profile', 'aone-messaging').'</span>
							<span class="aon-messenger-hours-ago"><i class="fa fa-clock-o"></i> '.$lastmessage['timestamp'].'</span>               	
						</div>
					</div>
					<div id="reply-form-'.esc_attr($user_id).'" class="aon-user-reply-form quick-reply-form" style="display:none">
						'.$this->load_message_form($user_id).'
					</div>
				</div>';
		
		}
		}
		
		if(!empty($unread) || !empty($read)){
		$senders .= '</div>';
		}
		
		return $senders;
		
	}
	
	/* Load senders list */
	function load_senders_short_list() {
		global $wpdb, $current_user;
		$timezone = get_option('timezone_string');
		if(!empty($timezone)){
		date_default_timezone_set($timezone);
		}
		
		$unread = $this->get_unread_sender_ids($current_user->ID);
		$read = $this->get_read_sender_ids($current_user->ID);
		$isempty = 1;
		
		if (isset($read) && !empty($read) && isset($unread) && !empty($unread) ){
		$read = array_diff($read, $unread);
		}
		$senders = '';
		
		//if(!empty($unread) || !empty($read)){
		$senders .= '<div class="all-senders-shortlist">';
		//}
		
		if(!empty($unread)){
		foreach($unread as $user_id) {
		$isempty = 0;
		
		$varified = '';
		if(class_exists('service_finder_booking_plugin')) {
			if(aone_msg_get_user_role($user_id) == 'Provider'){
				if(service_finder_is_varified_user($user_id)){
				$varified = '<div class="aon-user-featured-approve">
								<i class="fa fa-check"></i>
								<span>'.esc_html__('Verified Provider', 'aone-messaging').'</span>
							</div>';
				}
			}	
		}
		
		$unreadcount = $this->get_unread_msg_count($user_id);
		
		$unreadcountmsg = '';
		//if(!empty($unreadcount) && $unreadcount > 0){
			$unreadcountmsg .= sprintf(esc_html__('%s','aone-messaging'), $unreadcount );
		//}
		
		$displayname = aone_msg_user_data('display_name', $user_id);
		
		$args = array(
					'view' => 'page',
					'type' => '',
					'targetid' => 0,
					'fromid' => $current_user->ID,
					'toid' => $user_id,
				);
		
		$senders .= '<div class="aon-messenger-chat-member switch-conversation singlechatpopup" data-options="'.esc_attr(wp_json_encode( $args )).'" id="chatuser-'.esc_attr($user_id).'" data-userid="'.esc_attr($user_id).'" data-username="'.esc_attr($displayname).'">

                	<div class="aon-messenger-chat-thum">

               	    	'.get_avatar( $user_id, 100).'
						'.$varified.'

                    </div>

                    <div class="aon-messenger-chat-des">

                    	<div class="aon-messenger-chat-name">'.aone_msg_user_data('display_name', $user_id).'</div>

                        <div class="aon-messenger-chat-availability">'.aone_msg_display_user_status_with_text($user_id).'</div>

                    </div>

                    <div class="aon-messenger-chat-notification countreloadsection" id="msgcount-'.$user_id.'">'.$unreadcountmsg.'</div>

                </div>';
		
		}
		}
		
		if(!empty($read)){
		foreach($read as $user_id) {
		$isempty = 0;
		$varified = '';
		if(class_exists('service_finder_booking_plugin')) {
			if(aone_msg_get_user_role($user_id) == 'Provider'){
				if(service_finder_is_varified_user($user_id)){
				$varified = '<div class="aon-user-featured-approve">
								<i class="fa fa-check"></i>
								<span>'.esc_html__('Verified Provider', 'aone-messaging').'</span>
							</div>';
				}
			}	
		}
		
		$unreadcount = $this->get_unread_msg_count($user_id);
		
		$unreadcountmsg = '';
		//if(!empty($unreadcount) && $unreadcount > 0){
			$unreadcountmsg .= sprintf(esc_html__('%s','aone-messaging'), $unreadcount );
		//}
		
		$args = array(
					'view' => 'page',
					'type' => '',
					'targetid' => 0,
					'fromid' => $current_user->ID,
					'toid' => $user_id,
				);
		
		$displayname = aone_msg_user_data('display_name', $user_id);
		$senders .= '<div class="aon-messenger-chat-member switch-conversation singlechatpopup" data-options="'.esc_attr(wp_json_encode( $args )).'" id="chatuser-'.esc_attr($user_id).'" data-userid="'.esc_attr($user_id).'" data-username="'.esc_attr($displayname).'">

                	<div class="aon-messenger-chat-thum">

               	    	'.get_avatar( $user_id, 100).'
						'.$varified.'

                    </div>

                    <div class="aon-messenger-chat-des">

                    	<div class="aon-messenger-chat-name">'.aone_msg_user_data('display_name', $user_id).'</div>

                        <div class="aon-messenger-chat-availability">'.aone_msg_display_user_status_with_text($user_id).'</div>

                    </div>
					
					<div class="aon-messenger-chat-notification countreloadsection" id="msgcount-'.$user_id.'">'.$unreadcountmsg.'</div>

                </div>';
		
		}
		}
		
		if($isempty == 1){
		$senders .= '<div class="empty-contacts">';
		$senders .= '<img src="'.AONE_MSG_URI.'img/no-contact.jpg">';
		$senders .= '</div>';
		}
		
		//if(!empty($unread) || !empty($read)){
		$senders .= '</div>';
		//}
		
		return $senders;
		
	}
	
	/* Load recent senders list */
	function load_recent_senders() {
		global $wpdb, $current_user;
		$timezone = get_option('timezone_string');
		if(!empty($timezone)){
		date_default_timezone_set($timezone);
		}
		
		$unread = $this->get_unread_sender_ids($current_user->ID);
		$read = $this->get_read_sender_ids($current_user->ID);
		$isempty = 1;
		
		if (isset($read) && !empty($read) && isset($unread) && !empty($unread) ){
		$read = array_diff($read, $unread);
		}
		$senders = '';
		
		//if(!empty($unread) || !empty($read)){
		$senders .= '<div class="all-senders-shortlist">';
		//}
		
		if(!empty($unread)){
		foreach($unread as $user_id) {
		$isempty = 0;
		$lastmessage = $this->get_last_message($user_id);
		
		$timestamp = $lastmessage['actualtime'];
		
		$differenceInSec = time() - $timestamp;
		$differenceInDays = floor($differenceInSec / 60 / 60 / 24) + 1;
			
		if($differenceInDays <= 2){
		
		$varified = '';
		if(class_exists('service_finder_booking_plugin')) {
			if(aone_msg_get_user_role($user_id) == 'Provider'){
				if(service_finder_is_varified_user($user_id)){
				$varified = '<div class="aon-user-featured-approve">
								<i class="fa fa-check"></i>
								<span>'.esc_html__('Verified Provider', 'aone-messaging').'</span>
							</div>';
				}
			}	
		}
		
		$unreadcount = $this->get_unread_msg_count($user_id);
		
		$unreadcountmsg = '';
		//if(!empty($unreadcount) && $unreadcount > 0){
			$unreadcountmsg .= sprintf(esc_html__('%s','aone-messaging'), $unreadcount );
		//}
		
		$args = array(
					'view' => 'page',
					'type' => '',
					'targetid' => 0,
					'fromid' => $current_user->ID,
					'toid' => $user_id,
				);
		
		$displayname = aone_msg_user_data('display_name', $user_id);
		$senders .= '<div class="aon-messenger-chat-member switch-conversation singlechatpopup" data-options="'.esc_attr(wp_json_encode( $args )).'" id="chatuser-'.esc_attr($user_id).'" data-userid="'.esc_attr($user_id).'" data-username="'.esc_attr($displayname).'">

                	<div class="aon-messenger-chat-thum">

               	    	'.get_avatar( $user_id, 100).'
						'.$varified.'

                    </div>

                    <div class="aon-messenger-chat-des">

                    	<div class="aon-messenger-chat-name">'.aone_msg_user_data('display_name', $user_id).'</div>

                        <div class="aon-messenger-chat-availability">'.aone_msg_display_user_status_with_text($user_id).'</div>

                    </div>

                    <div class="aon-messenger-chat-notification countreloadsection" id="recentmsgcount-'.$user_id.'">'.$unreadcountmsg.'</div>

                </div>';
		}		
		
		}
		}
		
		if(!empty($read)){
		foreach($read as $user_id) {
		$isempty = 0;
		$lastmessage = $this->get_last_message($user_id);
		
		$timestamp = (!empty($lastmessage['actualtime'])) ? $lastmessage['actualtime'] : '';
		
		$differenceInSec = time() - $timestamp;
		$differenceInDays = floor($differenceInSec / 60 / 60 / 24) + 1;
			
		if($differenceInDays <= 2){
		
		$varified = '';
		if(class_exists('service_finder_booking_plugin')) {
			if(aone_msg_get_user_role($user_id) == 'Provider'){
				if(service_finder_is_varified_user($user_id)){
				$varified = '<div class="aon-user-featured-approve">
								<i class="fa fa-check"></i>
								<span>'.esc_html__('Verified Provider', 'aone-messaging').'</span>
							</div>';
				}
			}	
		}
		
		$unreadcount = $this->get_unread_msg_count($user_id);
		
		$unreadcountmsg = '';
		//if(!empty($unreadcount) && $unreadcount > 0){
			$unreadcountmsg .= sprintf(esc_html__('%s','aone-messaging'), $unreadcount );
		//}
		
		$args = array(
					'view' => 'page',
					'type' => '',
					'targetid' => 0,
					'fromid' => $current_user->ID,
					'toid' => $user_id,
				);
		
		$displayname = aone_msg_user_data('display_name', $user_id);
		$senders .= '<div class="aon-messenger-chat-member switch-conversation singlechatpopup" data-options="'.esc_attr(wp_json_encode( $args )).'" id="chatuser-'.esc_attr($user_id).'" data-userid="'.esc_attr($user_id).'" data-username="'.esc_attr($displayname).'">

                	<div class="aon-messenger-chat-thum">

               	    	'.get_avatar( $user_id, 100).'
						'.$varified.'

                    </div>

                    <div class="aon-messenger-chat-des">

                    	<div class="aon-messenger-chat-name">'.aone_msg_user_data('display_name', $user_id).'</div>

                        <div class="aon-messenger-chat-availability">'.aone_msg_display_user_status_with_text($user_id).'</div>

                    </div>
					
					<div class="aon-messenger-chat-notification countreloadsection" id="recentmsgcount-'.$user_id.'">'.$unreadcountmsg.'</div>

                </div>';
		}		
		
		}
		}
		
		if($isempty == 1){
		$senders .= '<div class="empty-contacts">';
		$senders .= '<img src="'.AONE_MSG_URI.'img/no-contact.jpg">';
		$senders .= '</div>';
		}
		
		//if(!empty($unread) || !empty($read)){
		$senders .= '</div>';
		//}
		
		return $senders;
		
	}
	
	/* Get unread conversations of user */
	function get_unread_sender_ids($user_id) {
		global $wpdb, $current_user;
		$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `unreadmsg` != "" AND `type` = "" ORDER BY `timestamp` DESC',$user_id));
		
		if(!empty($results)){
			foreach($results as $row){
				$ids[] = $row->with;
			}
			return $ids;
		}else{
			return '';
		}
		
	}
	
	/* Get read conversations of user */
	function get_read_sender_ids($user_id) {
		global $wpdb, $current_user;
		$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `unreadmsg` = "" AND `type` = "" ORDER BY `timestamp` DESC',$user_id));
		
		if(!empty($results)){
			foreach($results as $row){
				$ids[] = $row->with;
			}
			return $ids;
		}else{
			return '';
		}
		
	}
	
	/* Get unread msg count */
	function get_unread_msg_count($user_id) {
		global $wpdb, $current_user;
		
		$totalcount = 0;
		
		$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `unreadmsg` != "" AND `type` = ""',$current_user->ID,$user_id));
		
		if(!empty($row)){
			$tem = explode('[/]', $row->unreadmsg);
			$totalcount = count($tem) - 1;
			
		}
		
		return $totalcount;
		
	}
	
	/* Get total unread msg count */
	function get_total_unread_count($user_id,$args = array()) {
		global $wpdb, $current_user;
		
		$totalcount = 0;
		//print_r($args);
		
		if(aone_msg_get_data($args,'type') != '')
		{
		$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `unreadmsg` != "" AND `type` = %s AND `targetid` = %d',$user_id,aone_msg_get_data($args,'toid'),aone_msg_get_data($args,'type'),aone_msg_get_data($args,'targetid')));
		}else
		{
		$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `unreadmsg` != "" AND `type` = ""',$user_id));
		}
		
		if(!empty($results)){
			foreach($results as $withuserid){
				
				if(aone_msg_get_data($args,'type') != '')
				{
				$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `unreadmsg` != "" AND `type` = %s AND `targetid` = %d',$user_id,$withuserid->with,aone_msg_get_data($args,'type'),aone_msg_get_data($args,'targetid')));
				}else
				{
				$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `unreadmsg` != "" AND `type` = ""',$user_id,$withuserid->with));
				}
		
				if(!empty($row)){
					$tem = explode('[/]', $row->unreadmsg);
					$totalcount = $totalcount + count($tem) - 1;
				}	
			}
		}
		
		return $totalcount;
	}
	
	/* Remove unread messages */
	function remove_unread_msg($withid,$args = array()) {
		global $wpdb, $current_user;
		
		$data = array(
						'unreadmsg' => ''
					);
		
		if(aone_msg_get_data($args,'type') != '')
		{
		$where = array(
					'from' => $current_user->ID,
					'with' => $withid,
					'type' => aone_msg_get_data($args,'type'),
					'targetid' => aone_msg_get_data($args,'targetid'),
				);			
		}else
		{
		$where = array(
					'from' => $current_user->ID,
					'with' => $withid,
					'type' => '',
				);
		}		
		$a = $wpdb->update('aone_messages',wp_unslash($data),$where);
	}
	
	/* Extract message data */
	function get_msg_data($item) {
		global $userpro;
		if ( strlen($item) > 10 ) {
		
			$mode = preg_match('#\[mode\](.*?)\[\/mode\]#', $item, $matches);
			$mode = $matches[1];
			$result['mode'] = $mode;
			
			$content = preg_match('/\[content\](.*?)\[\/content\]/ism', $item, $matches);
			$content = $matches[1];
			$content = stripslashes($content);
			//$content = $this->emotization($content);
			$result['content'] = $content;
			
			$timestamp = preg_match('#\[timestamp\](.*?)\[\/timestamp\]#', $item, $matches);
			$timestamp = $matches[1];
			$result['timestamp'] = $this->time_format( $timestamp );
			
			$result['actualtime'] = $timestamp;
		
			return $result;
			
		}
	}
	
	/* Emotization */
	function emotization($content) {
            
		$content =  str_ireplace('<3>','< 3 >',$content);
        $content =  str_ireplace('<3','<3>',$content);
		$allow_html_content = 1;
		if( $allow_html_content == 1 ){
			$allowed_html = "<a><br><b><center><div><em><h1><h2><h3><h4><h5><h6><i><p><u><Strikeout><strong><sub><sup><3>";
			$content = strip_tags($content,$allowed_html);
		}
		else{
                    
			$content = strip_tags($content,"<br><p><3>");
		}
		$img = '<img src="'.AONE_MSG_URI . 'img/emoticons/{symbol}.png" class="userpro-emo" alt="" />';
		$content = str_replace(':love', str_replace('{symbol}','heart',$img), $content);
		$content = str_replace('(y)', str_replace('{symbol}','like',$img), $content);
		$content = str_replace(':)', str_replace('{symbol}','smile',$img), $content);
		$content = str_replace(':(', str_replace('{symbol}','frown',$img), $content);
		$content = str_replace(":'(", str_replace('{symbol}','cry',$img), $content);
		$content = str_replace('o:)', str_replace('{symbol}','angel',$img), $content);
		$content = str_replace(':o', str_replace('{symbol}','gasp',$img), $content);
		$content = str_replace(':D', str_replace('{symbol}','grin',$img), $content);
		$content = str_replace(':nerd', str_replace('{symbol}','glasses',$img), $content);
		$content = str_replace(':cool', str_replace('{symbol}','sunglasses',$img), $content);
		$content = str_replace(':p', str_replace('{symbol}','tongue',$img), $content);
		$content = str_replace(':confused', str_replace('{symbol}','unsure',$img), $content);
		$content = str_replace(';)', str_replace('{symbol}','wink',$img), $content);
		$content = str_replace(':kiss', str_replace('{symbol}','kiss',$img), $content);
        $content = str_replace('<3>', str_replace('{symbol}','heart',$img), $content);
        $content = str_replace('8)', str_replace('{symbol}','sunglasses',$img), $content);
        $content = str_replace(':evil:', str_replace('{symbol}','evil',$img), $content);
        $content = str_replace(':lol:', str_replace('{symbol}','lol',$img), $content);
		$content = str_replace(':x', str_replace('{symbol}','mad',$img), $content);
	
		$content = autolink($content);
		
		return $content;
	}
	
	/* Time elapsed format */
	function time_format($ptime){
		$timezone = get_option('timezone_string');
		if(!empty($timezone)){
		date_default_timezone_set($timezone);
		}
		
		$etime = time() - $ptime;

		if ($etime < 1)
		{
			return esc_html__('now!','aone-messaging');
		}

		$a = array( 12 * 30 * 24 * 60 * 60  =>  esc_html__('year','aone-messaging'),
					30 * 24 * 60 * 60       =>  esc_html__('month','aone-messaging'),
					24 * 60 * 60            =>  esc_html__('day','aone-messaging'),
					60 * 60                 =>  esc_html__('hour','aone-messaging'),
					60                      =>  esc_html__('minute','aone-messaging'),
					1                       =>  esc_html__('second','aone-messaging')
					);

		foreach ($a as $secs => $str)
		{
			$d = $etime / $secs;
			if ($d >= 1)
			{
				$r = round($d);
				return $r . ' ' . $str . ($r > 1 ? 's' : '') . esc_html__(' ago','aone-messaging');
			}
		}
	}
	
	/* Get notification number */
	function get_notification() {
		global $wpdb, $current_user;
		
		$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `with` = %d AND `status` = "unread" AND `type` = ""',$current_user->ID));
		if(!empty($results)){
			return count($results);
		}
		
	}
	
	/* Get last message */
	function get_last_message($user_id) {
		global $wpdb, $current_user;
		
		$row = $wpdb->get_row($wpdb->prepare('SELECT * FROM `aone_messages` WHERE `from` = %d AND `with` = %d AND `type` = ""',$current_user->ID,$user_id));
		if(!empty($row)){
		$tem = explode('[/]', $row->msgbody);
		$output = array();
		if(!empty($tem)){
		$item = $tem[0];
		if ( strlen($item) > 10 ) {
		
			$message = $this->get_msg_data( $item );
			$output['mode'] = (!empty($message['mode'])) ? $message['mode'] : '';
			$output['content'] = (!empty($message['content'])) ? $message['content'] : '';
			$output['timestamp'] = (!empty($message['timestamp'])) ? $message['timestamp'] : '';
			$output['actualtime'] = (!empty($message['actualtime'])) ? $message['actualtime'] : '';
			
			return $output;
			}
		}
		
		}
		
	}
	
	/* Get current chat */
	function get_current_chat($to,$args = array()) {
		global $wpdb, $current_user;
		$timezone = get_option('timezone_string');
		date_default_timezone_set($timezone);
		
		$today = strtotime('today');
		$yesterday = strtotime('yesterday');
		
		if(aone_msg_get_data($args,'type') != '')
		{
		$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_tempchat` WHERE (`from` = %d AND `to` = %d AND `mode` = "sent") OR (`from` = %d AND `to` = %d AND `mode` = "inbox") AND `type` = %s AND `targetid` = %d ORDER BY timestamp ASC',$current_user->ID,$to,$current_user->ID,$to,aone_msg_get_data($args,'type'),aone_msg_get_data($args,'targetid')));
		}else
		{
		$results = $wpdb->get_results($wpdb->prepare('SELECT * FROM `aone_tempchat` WHERE (`from` = %d AND `to` = %d AND `mode` = "sent") OR (`from` = %d AND `to` = %d AND `mode` = "inbox") AND `type` = "" ORDER BY timestamp ASC',$current_user->ID,$to,$current_user->ID,$to));
		}
		if(!empty($results)){
		$conversation = '';
		foreach($results as $row){
			
			$content = stripslashes($row->message);
		
			if ($row->mode == 'sent') {
			
			$actualtime = strtotime($row->timestamp);
			
			if($actualtime <= $today && $actualtime >= $yesterday){
				$currentday = esc_html__('Yesterday', 'aone-messaging');
			}elseif($actualtime >= $today){
				$currentday = esc_html__('Today', 'aone-messaging');
			}else{
				$currentday = date('l F d,Y',$actualtime);
			}
			
			$conversation .= '<div class="aon-messenger-chat-row"><div class="aon-messenger-your-reply-area">
                    <div class="aon-messenger-info-wrap">
					<span class="aon-messenger-user-pic">'.get_avatar( $current_user->ID, 100).'</span>
					<span class="aon-messenger-user-name">'.aone_msg_user_data( 'display_name',$current_user->ID).'</span>
					<span class="aon-messenger-hours-ago"><i class="fa fa-clock-o"></i> '.$currentday.' '.date('h:i a',strtotime($row->timestamp)).'</span>
					</div>
					<div class="aon-messenger-msg-message">
                        '.$content.'</div>
                </div></div>';
			
			}else{
			
			$varified = '';
			if(class_exists('service_finder_booking_plugin')) {
				if(aone_msg_get_user_role($to) == 'Provider'){
					if(service_finder_is_varified_user($to)){
					$varified = '<div class="aon-user-featured-approve">
									<i class="fa fa-check"></i>
									<span>'.esc_html__('Verified Provider', 'aone-messaging').'</span>
								</div>';
					}
				}	
			}
			
			$conversation .= '<div class="aon-messenger-chat-row">
								<div class="aon-messenger-user-reply-area">
									<div class="aon-messenger-info-wrap">
									<span class="aon-messenger-user-pic">'.get_avatar( $to, 100).'</span>
									<span class="aon-messenger-user-name">'.aone_msg_user_data( 'display_name',$to).'</span>
									<span class="aon-messenger-hours-ago"><i class="fa fa-clock-o"></i> '.$currentday.' '.date('h:i a',strtotime($row->timestamp)).'</span>
									</div>
									<div class="aon-messenger-msg-message">
										'.$content.'
									</div>
								</div>
							</div>';
			}
		}
		
		return $conversation;
		}
		
	}
	
	/* Remove current read chat */
	function remove_read_chat($to,$args = array()) {
		global $wpdb, $current_user;
		
		if(aone_msg_get_data($args,'type') != '')
		{
		$wpdb->query($wpdb->prepare('DELETE FROM `aone_tempchat` WHERE (`from` = %d AND `to` = %d AND `mode` = "sent") OR (`from` = %d AND `to` = %d AND `mode` = "inbox") AND `type` = %s AND `targetid` = %d ORDER BY timestamp ASC',$current_user->ID,$to,$current_user->ID,$to,aone_msg_get_data($args,'type'),aone_msg_get_data($args,'targetid')));
		}else
		{
		$wpdb->query($wpdb->prepare('DELETE FROM `aone_tempchat` WHERE (`from` = %d AND `to` = %d AND `mode` = "sent") OR (`from` = %d AND `to` = %d AND `mode` = "inbox") AND `type` = "" ORDER BY timestamp ASC',$current_user->ID,$to,$current_user->ID,$to));
		}
		
	}
	
	/* Block/Unblock Link */
	function load_restriction_link($withid) {
		global $wpdb, $current_user, $service_finder_options;
		$html = '';
		
		$blockusermessage = (!empty($service_finder_options['block-user-message'])) ? $service_finder_options['block-user-message'] : '';
		
		$html .= '<div class="aon-messenger-header-restriction"><span class="aon-chat-block">';
		if($blockusermessage){
		
		$blocked_users = get_user_meta($current_user->ID,'aone_msg_blocked_users',true);
		if(!empty($blocked_users)){
		if(in_array($withid,$blocked_users)){
			$html .= '<a href="javascript:;" class="user-unblock" data-userid="'.esc_attr($withid).'"><i class="fa fa-unlock"></i> '.esc_html__('Unblock', 'aone-messaging').'</a>';
		}else{
			$html .= '<a href="javascript:;" class="user-block" data-userid="'.esc_attr($withid).'"><i class="fa fa-lock"></i> '.esc_html__('Block', 'aone-messaging').'</a>';
		}
		}
		
		}
		
		$html .= '<a href="'.service_finder_get_url_by_shortcode('[service_finder_my_account]').'" class="btn aon-backto-account" ><i class="fa fa-chevron-left"></i> '.esc_html__('Back to Account','aone-messaging').'</a>';
		
		$html .= '<a href="javascript:;" class="btn aon-backto-contacts backtocontact" ><i class="fa fa-chevron-left"></i> '.esc_html__('Back to Contacts','aone-messaging').'</a>';
		
		$html .= '</span></div>';
		return $html;
		
	}
	
	/* No Chat Image */
	function no_chat_image() {
		global $service_finder_options;
		
		$nochatimage = (!empty($service_finder_options['no-chat-image']['url'])) ? $service_finder_options['no-chat-image']['url'] : '';
		
		return $nochatimage;
	}
	
}

$aonemsg = new aone_msg_core();

