<?php
/**
 * Plugin Name: Service Finder SMS System
 * Plugin URI: http://aonetheme.com/	
 * Description: This add-on allows users to login//signup via sms also received notification via SMS.
 * Version: 2.0.0
 * Author: Aone Team
 * Text Domain: aonesms
 * Author URI: http://aonetheme.com/
 */
 
define( 'AONESMS_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

define( 'AONESMS_PLUGIN_URL', plugin_dir_url( __FILE__ ) ); 

class aonesms {

    public function __construct() {

		/* Add Javascript and CSS for frontend */
        add_action('wp_enqueue_scripts', array($this,'aonesms_enqueue_scripts'));
		
		/* Plugin init */
        add_action( 'init', array( $this, 'aonesms_init'));
		
		/* Load language file */
		add_action( 'plugins_loaded', array( $this, 'aonesms_load_textdomain' ) );
    }
	
	/**
	* Load language file
	*
	* This will load the MO file for the current locale.
	* The translation file must be named constrot-cpt-$locale.mo.
	*/
	public function aonesms_load_textdomain() {
		load_plugin_textdomain( 'aonesms', false, dirname( plugin_basename(__FILE__) ) . '/languages/' );	
	}

    /* Enqueue frontend scripts and styles */
    public function aonesms_enqueue_scripts() {
		if(aonesms_get_sms_gateway() == 'firebase' && aonesms_sms_gatway_is_configured() == true)
		{
		wp_register_script('firebase', plugin_dir_url( __FILE__ ) . '/js/firebase-app.js', array(), null, false);
		wp_register_script('firebase', plugin_dir_url( __FILE__ ) . '/js/firebase.js', array(), null, false);
		wp_register_script('firebase-auth', plugin_dir_url( __FILE__ ) . '/js/firebase-auth.js', array('firebase'), null, false);
		}
	
		wp_enqueue_script('bootstrap-validator', plugin_dir_url( __FILE__ ) . '/js/bootstrapValidator.js', array('jquery') , null, true);
		wp_register_script('aonesms-otpsignup', plugin_dir_url( __FILE__ ) . '/js/otpsignup.js', array('jquery') , null, true);
	}
	
	/* Init */
	function aonesms_init() 
	{
		global $aonesmsredirect;
		
		require plugin_dir_path( __FILE__ ) . 'flashmessage/FlashMessages.php';
		if (!session_id()) session_start();
		$aonesmsredirect = new \Plasticbrain\FlashMessages\FlashMessages();
		
		foreach (glob(plugin_dir_path( __FILE__ ) . "/lib/*.php") as $filename)
		{		
			require_once($filename);
		}
		
		aonesms_create_tables();
		
		require plugin_dir_path( __FILE__ ) . 'shortcodes/index.php';
		new aonesms_shortcodes();
		
	}
}

global $aonesms;

$aonesms = new aonesms();