<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

require_once AONESMS_PLUGIN_DIR . '/Twilio/autoload.php';
use Twilio\Rest\Client;

/* Check if any sms gatway is configured or not */
function aonesms_sms_gatway_is_configured()
{
	global $service_finder_options;
	
	if(aonesms_get_sms_gateway() == 'firebase')
	{
		$api_key = aonesms_get_data($service_finder_options,'firebase-apikey');
		$messagingsenderid = aonesms_get_data($service_finder_options,'firebase-messaging-senderid');
		$authdomain = aonesms_get_data($service_finder_options,'firebase-authdomain');
		$databaseurl = aonesms_get_data($service_finder_options,'firebase-databaseurl');
		$projectid = aonesms_get_data($service_finder_options,'firebase-projectid');
		$storagebucket = aonesms_get_data($service_finder_options,'firebase-storagebucket');
	
		if($api_key != '' && $messagingsenderid != '' && $authdomain != '' && $databaseurl != '' && $projectid != '' && $storagebucket != '')
		{
			return true;
		}else 
		{
			return false;	
		}
	}elseif(aonesms_get_sms_gateway() == 'twilio')
	{
		$sid = aonesms_get_data($service_finder_options,'twillio-sid');
		$token = aonesms_get_data($service_finder_options,'twillio-token');
		$twiliosenderid = aonesms_get_data($service_finder_options,'twillio-senderid');
		
		if($sid != '' && $token != '' && $twiliosenderid != '')
		{
			return true;
		}else
		{
			return false;	
		}
	}
}

/* Initialize firebase api */
function aonesms_init_firebase()
{
	global $service_finder_options;
	
	$api_key = aonesms_get_data($service_finder_options,'firebase-apikey');
	$messagingsenderid = aonesms_get_data($service_finder_options,'firebase-messaging-senderid');
	$authdomain = aonesms_get_data($service_finder_options,'firebase-authdomain');
	$databaseurl = aonesms_get_data($service_finder_options,'firebase-databaseurl');
	$projectid = aonesms_get_data($service_finder_options,'firebase-projectid');
	$storagebucket = aonesms_get_data($service_finder_options,'firebase-storagebucket');
	
    $data = 'var config = { 
            "apiKey": "'.$api_key.'",
            "authDomain": "'.$authdomain.'",
            "databaseURL": "'.$databaseurl.'",
            "projectId": "'.$projectid.'",
            "storageBucket": "'.$storagebucket.'",
            "messagingSenderId": "'.$messagingsenderid.'"
        }; 
        if(firebase.apps.length === 0){
		firebase.initializeApp(config);
		}
        firebase.auth().languageCode = "'.get_locale().'"';
    
	return $data;
}

/* Get sms method */
function aonesms_get_sms_gateway()
{
	global $service_finder_options ;
	
	$smsgateway = aonesms_get_data($service_finder_options,'login-signup-sms-gateway','firebase');
	
	return $smsgateway;
	
}

/*Get country codes*/
function aonesms_get_country_codes() 
{
	$country_codes = array(
		'AD'=>array('name'=>'ANDORRA','code'=>'376'),
		'AE'=>array('name'=>'UNITED ARAB EMIRATES','code'=>'971'),
		'AF'=>array('name'=>'AFGHANISTAN','code'=>'93'),
		'AG'=>array('name'=>'ANTIGUA AND BARBUDA','code'=>'1268'),
		'AI'=>array('name'=>'ANGUILLA','code'=>'1264'),
		'AL'=>array('name'=>'ALBANIA','code'=>'355'),
		'AM'=>array('name'=>'ARMENIA','code'=>'374'),
		'AN'=>array('name'=>'NETHERLANDS ANTILLES','code'=>'599'),
		'AO'=>array('name'=>'ANGOLA','code'=>'244'),
		'AQ'=>array('name'=>'ANTARCTICA','code'=>'672'),
		'AR'=>array('name'=>'ARGENTINA','code'=>'54'),
		'AS'=>array('name'=>'AMERICAN SAMOA','code'=>'1684'),
		'AT'=>array('name'=>'AUSTRIA','code'=>'43'),
		'AU'=>array('name'=>'AUSTRALIA','code'=>'61'),
		'AW'=>array('name'=>'ARUBA','code'=>'297'),
		'AZ'=>array('name'=>'AZERBAIJAN','code'=>'994'),
		'BA'=>array('name'=>'BOSNIA AND HERZEGOVINA','code'=>'387'),
		'BB'=>array('name'=>'BARBADOS','code'=>'1246'),
		'BD'=>array('name'=>'BANGLADESH','code'=>'880'),
		'BE'=>array('name'=>'BELGIUM','code'=>'32'),
		'BF'=>array('name'=>'BURKINA FASO','code'=>'226'),
		'BG'=>array('name'=>'BULGARIA','code'=>'359'),
		'BH'=>array('name'=>'BAHRAIN','code'=>'973'),
		'BI'=>array('name'=>'BURUNDI','code'=>'257'),
		'BJ'=>array('name'=>'BENIN','code'=>'229'),
		'BL'=>array('name'=>'SAINT BARTHELEMY','code'=>'590'),
		'BM'=>array('name'=>'BERMUDA','code'=>'1441'),
		'BN'=>array('name'=>'BRUNEI DARUSSALAM','code'=>'673'),
		'BO'=>array('name'=>'BOLIVIA','code'=>'591'),
		'BR'=>array('name'=>'BRAZIL','code'=>'55'),
		'BS'=>array('name'=>'BAHAMAS','code'=>'1242'),
		'BT'=>array('name'=>'BHUTAN','code'=>'975'),
		'BW'=>array('name'=>'BOTSWANA','code'=>'267'),
		'BY'=>array('name'=>'BELARUS','code'=>'375'),
		'BZ'=>array('name'=>'BELIZE','code'=>'501'),
		'CA'=>array('name'=>'CANADA','code'=>'1'),
		'CC'=>array('name'=>'COCOS (KEELING) ISLANDS','code'=>'61'),
		'CD'=>array('name'=>'CONGO, THE DEMOCRATIC REPUBLIC OF THE','code'=>'243'),
		'CF'=>array('name'=>'CENTRAL AFRICAN REPUBLIC','code'=>'236'),
		'CG'=>array('name'=>'CONGO','code'=>'242'),
		'CH'=>array('name'=>'SWITZERLAND','code'=>'41'),
		'CI'=>array('name'=>'COTE D IVOIRE','code'=>'225'),
		'CK'=>array('name'=>'COOK ISLANDS','code'=>'682'),
		'CL'=>array('name'=>'CHILE','code'=>'56'),
		'CM'=>array('name'=>'CAMEROON','code'=>'237'),
		'CN'=>array('name'=>'CHINA','code'=>'86'),
		'CO'=>array('name'=>'COLOMBIA','code'=>'57'),
		'CR'=>array('name'=>'COSTA RICA','code'=>'506'),
		'CU'=>array('name'=>'CUBA','code'=>'53'),
		'CV'=>array('name'=>'CAPE VERDE','code'=>'238'),
		'CX'=>array('name'=>'CHRISTMAS ISLAND','code'=>'61'),
		'CY'=>array('name'=>'CYPRUS','code'=>'357'),
		'CZ'=>array('name'=>'CZECH REPUBLIC','code'=>'420'),
		'DE'=>array('name'=>'GERMANY','code'=>'49'),
		'DJ'=>array('name'=>'DJIBOUTI','code'=>'253'),
		'DK'=>array('name'=>'DENMARK','code'=>'45'),
		'DM'=>array('name'=>'DOMINICA','code'=>'1767'),
		'DO'=>array('name'=>'DOMINICAN REPUBLIC','code'=>'1809'),
		'DZ'=>array('name'=>'ALGERIA','code'=>'213'),
		'EC'=>array('name'=>'ECUADOR','code'=>'593'),
		'EE'=>array('name'=>'ESTONIA','code'=>'372'),
		'EG'=>array('name'=>'EGYPT','code'=>'20'),
		'ER'=>array('name'=>'ERITREA','code'=>'291'),
		'ES'=>array('name'=>'SPAIN','code'=>'34'),
		'ET'=>array('name'=>'ETHIOPIA','code'=>'251'),
		'FI'=>array('name'=>'FINLAND','code'=>'358'),
		'FJ'=>array('name'=>'FIJI','code'=>'679'),
		'FK'=>array('name'=>'FALKLAND ISLANDS (MALVINAS)','code'=>'500'),
		'FM'=>array('name'=>'MICRONESIA, FEDERATED STATES OF','code'=>'691'),
		'FO'=>array('name'=>'FAROE ISLANDS','code'=>'298'),
		'FR'=>array('name'=>'FRANCE','code'=>'33'),
		'GA'=>array('name'=>'GABON','code'=>'241'),
		'GB'=>array('name'=>'UNITED KINGDOM','code'=>'44'),
		'GD'=>array('name'=>'GRENADA','code'=>'1473'),
		'GE'=>array('name'=>'GEORGIA','code'=>'995'),
		'GH'=>array('name'=>'GHANA','code'=>'233'),
		'GI'=>array('name'=>'GIBRALTAR','code'=>'350'),
		'GL'=>array('name'=>'GREENLAND','code'=>'299'),
		'GM'=>array('name'=>'GAMBIA','code'=>'220'),
		'GN'=>array('name'=>'GUINEA','code'=>'224'),
		'GQ'=>array('name'=>'EQUATORIAL GUINEA','code'=>'240'),
		'GR'=>array('name'=>'GREECE','code'=>'30'),
		'GT'=>array('name'=>'GUATEMALA','code'=>'502'),
		'GU'=>array('name'=>'GUAM','code'=>'1671'),
		'GW'=>array('name'=>'GUINEA-BISSAU','code'=>'245'),
		'GY'=>array('name'=>'GUYANA','code'=>'592'),
		'HK'=>array('name'=>'HONG KONG','code'=>'852'),
		'HN'=>array('name'=>'HONDURAS','code'=>'504'),
		'HR'=>array('name'=>'CROATIA','code'=>'385'),
		'HT'=>array('name'=>'HAITI','code'=>'509'),
		'HU'=>array('name'=>'HUNGARY','code'=>'36'),
		'ID'=>array('name'=>'INDONESIA','code'=>'62'),
		'IE'=>array('name'=>'IRELAND','code'=>'353'),
		'IL'=>array('name'=>'ISRAEL','code'=>'972'),
		'IN'=>array('name'=>'INDIA','code'=>'91'),
		'IQ'=>array('name'=>'IRAQ','code'=>'964'),
		'IR'=>array('name'=>'IRAN, ISLAMIC REPUBLIC OF','code'=>'98'),
		'IS'=>array('name'=>'ICELAND','code'=>'354'),
		'IT'=>array('name'=>'ITALY','code'=>'39'),
		'JM'=>array('name'=>'JAMAICA','code'=>'1876'),
		'JO'=>array('name'=>'JORDAN','code'=>'962'),
		'JP'=>array('name'=>'JAPAN','code'=>'81'),
		'KE'=>array('name'=>'KENYA','code'=>'254'),
		'KG'=>array('name'=>'KYRGYZSTAN','code'=>'996'),
		'KH'=>array('name'=>'CAMBODIA','code'=>'855'),
		'KI'=>array('name'=>'KIRIBATI','code'=>'686'),
		'KM'=>array('name'=>'COMOROS','code'=>'269'),
		'KN'=>array('name'=>'SAINT KITTS AND NEVIS','code'=>'1869'),
		'KP'=>array('name'=>'KOREA DEMOCRATIC PEOPLES REPUBLIC OF','code'=>'850'),
		'KR'=>array('name'=>'KOREA REPUBLIC OF','code'=>'82'),
		'KW'=>array('name'=>'KUWAIT','code'=>'965'),
		'KY'=>array('name'=>'CAYMAN ISLANDS','code'=>'1345'),
		'KZ'=>array('name'=>'KAZAKSTAN','code'=>'7'),
		'LA'=>array('name'=>'LAO PEOPLES DEMOCRATIC REPUBLIC','code'=>'856'),
		'LB'=>array('name'=>'LEBANON','code'=>'961'),
		'LC'=>array('name'=>'SAINT LUCIA','code'=>'1758'),
		'LI'=>array('name'=>'LIECHTENSTEIN','code'=>'423'),
		'LK'=>array('name'=>'SRI LANKA','code'=>'94'),
		'LR'=>array('name'=>'LIBERIA','code'=>'231'),
		'LS'=>array('name'=>'LESOTHO','code'=>'266'),
		'LT'=>array('name'=>'LITHUANIA','code'=>'370'),
		'LU'=>array('name'=>'LUXEMBOURG','code'=>'352'),
		'LV'=>array('name'=>'LATVIA','code'=>'371'),
		'LY'=>array('name'=>'LIBYAN ARAB JAMAHIRIYA','code'=>'218'),
		'MA'=>array('name'=>'MOROCCO','code'=>'212'),
		'MC'=>array('name'=>'MONACO','code'=>'377'),
		'MD'=>array('name'=>'MOLDOVA, REPUBLIC OF','code'=>'373'),
		'ME'=>array('name'=>'MONTENEGRO','code'=>'382'),
		'MF'=>array('name'=>'SAINT MARTIN','code'=>'1599'),
		'MG'=>array('name'=>'MADAGASCAR','code'=>'261'),
		'MH'=>array('name'=>'MARSHALL ISLANDS','code'=>'692'),
		'MK'=>array('name'=>'MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF','code'=>'389'),
		'ML'=>array('name'=>'MALI','code'=>'223'),
		'MM'=>array('name'=>'MYANMAR','code'=>'95'),
		'MN'=>array('name'=>'MONGOLIA','code'=>'976'),
		'MO'=>array('name'=>'MACAU','code'=>'853'),
		'MP'=>array('name'=>'NORTHERN MARIANA ISLANDS','code'=>'1670'),
		'MR'=>array('name'=>'MAURITANIA','code'=>'222'),
		'MS'=>array('name'=>'MONTSERRAT','code'=>'1664'),
		'MT'=>array('name'=>'MALTA','code'=>'356'),
		'MU'=>array('name'=>'MAURITIUS','code'=>'230'),
		'MV'=>array('name'=>'MALDIVES','code'=>'960'),
		'MW'=>array('name'=>'MALAWI','code'=>'265'),
		'MX'=>array('name'=>'MEXICO','code'=>'52'),
		'MY'=>array('name'=>'MALAYSIA','code'=>'60'),
		'MZ'=>array('name'=>'MOZAMBIQUE','code'=>'258'),
		'NA'=>array('name'=>'NAMIBIA','code'=>'264'),
		'NC'=>array('name'=>'NEW CALEDONIA','code'=>'687'),
		'NE'=>array('name'=>'NIGER','code'=>'227'),
		'NG'=>array('name'=>'NIGERIA','code'=>'234'),
		'NI'=>array('name'=>'NICARAGUA','code'=>'505'),
		'NL'=>array('name'=>'NETHERLANDS','code'=>'31'),
		'NO'=>array('name'=>'NORWAY','code'=>'47'),
		'NP'=>array('name'=>'NEPAL','code'=>'977'),
		'NR'=>array('name'=>'NAURU','code'=>'674'),
		'NU'=>array('name'=>'NIUE','code'=>'683'),
		'NZ'=>array('name'=>'NEW ZEALAND','code'=>'64'),
		'OM'=>array('name'=>'OMAN','code'=>'968'),
		'PA'=>array('name'=>'PANAMA','code'=>'507'),
		'PE'=>array('name'=>'PERU','code'=>'51'),
		'PF'=>array('name'=>'FRENCH POLYNESIA','code'=>'689'),
		'PG'=>array('name'=>'PAPUA NEW GUINEA','code'=>'675'),
		'PH'=>array('name'=>'PHILIPPINES','code'=>'63'),
		'PK'=>array('name'=>'PAKISTAN','code'=>'92'),
		'PL'=>array('name'=>'POLAND','code'=>'48'),
		'PM'=>array('name'=>'SAINT PIERRE AND MIQUELON','code'=>'508'),
		'PN'=>array('name'=>'PITCAIRN','code'=>'870'),
		'PR'=>array('name'=>'PUERTO RICO','code'=>'1'),
		'PT'=>array('name'=>'PORTUGAL','code'=>'351'),
		'PW'=>array('name'=>'PALAU','code'=>'680'),
		'PY'=>array('name'=>'PARAGUAY','code'=>'595'),
		'QA'=>array('name'=>'QATAR','code'=>'974'),
		'RO'=>array('name'=>'ROMANIA','code'=>'40'),
		'RS'=>array('name'=>'SERBIA','code'=>'381'),
		'RU'=>array('name'=>'RUSSIAN FEDERATION','code'=>'7'),
		'RW'=>array('name'=>'RWANDA','code'=>'250'),
		'SA'=>array('name'=>'SAUDI ARABIA','code'=>'966'),
		'SB'=>array('name'=>'SOLOMON ISLANDS','code'=>'677'),
		'SC'=>array('name'=>'SEYCHELLES','code'=>'248'),
		'SD'=>array('name'=>'SUDAN','code'=>'249'),
		'SE'=>array('name'=>'SWEDEN','code'=>'46'),
		'SG'=>array('name'=>'SINGAPORE','code'=>'65'),
		'SH'=>array('name'=>'SAINT HELENA','code'=>'290'),
		'SI'=>array('name'=>'SLOVENIA','code'=>'386'),
		'SK'=>array('name'=>'SLOVAKIA','code'=>'421'),
		'SL'=>array('name'=>'SIERRA LEONE','code'=>'232'),
		'SM'=>array('name'=>'SAN MARINO','code'=>'378'),
		'SN'=>array('name'=>'SENEGAL','code'=>'221'),
		'SO'=>array('name'=>'SOMALIA','code'=>'252'),
		'SR'=>array('name'=>'SURINAME','code'=>'597'),
		'ST'=>array('name'=>'SAO TOME AND PRINCIPE','code'=>'239'),
		'SV'=>array('name'=>'EL SALVADOR','code'=>'503'),
		'SY'=>array('name'=>'SYRIAN ARAB REPUBLIC','code'=>'963'),
		'SZ'=>array('name'=>'SWAZILAND','code'=>'268'),
		'TC'=>array('name'=>'TURKS AND CAICOS ISLANDS','code'=>'1649'),
		'TD'=>array('name'=>'CHAD','code'=>'235'),
		'TG'=>array('name'=>'TOGO','code'=>'228'),
		'TH'=>array('name'=>'THAILAND','code'=>'66'),
		'TJ'=>array('name'=>'TAJIKISTAN','code'=>'992'),
		'TK'=>array('name'=>'TOKELAU','code'=>'690'),
		'TL'=>array('name'=>'TIMOR-LESTE','code'=>'670'),
		'TM'=>array('name'=>'TURKMENISTAN','code'=>'993'),
		'TN'=>array('name'=>'TUNISIA','code'=>'216'),
		'TO'=>array('name'=>'TONGA','code'=>'676'),
		'TR'=>array('name'=>'TURKEY','code'=>'90'),
		'TT'=>array('name'=>'TRINIDAD AND TOBAGO','code'=>'1868'),
		'TV'=>array('name'=>'TUVALU','code'=>'688'),
		'TW'=>array('name'=>'TAIWAN, PROVINCE OF CHINA','code'=>'886'),
		'TZ'=>array('name'=>'TANZANIA, UNITED REPUBLIC OF','code'=>'255'),
		'UA'=>array('name'=>'UKRAINE','code'=>'380'),
		'UG'=>array('name'=>'UGANDA','code'=>'256'),
		'US'=>array('name'=>'UNITED STATES','code'=>'1'),
		'UY'=>array('name'=>'URUGUAY','code'=>'598'),
		'UZ'=>array('name'=>'UZBEKISTAN','code'=>'998'),
		'VA'=>array('name'=>'HOLY SEE (VATICAN CITY STATE)','code'=>'39'),
		'VC'=>array('name'=>'SAINT VINCENT AND THE GRENADINES','code'=>'1784'),
		'VE'=>array('name'=>'VENEZUELA','code'=>'58'),
		'VG'=>array('name'=>'VIRGIN ISLANDS, BRITISH','code'=>'1284'),
		'VI'=>array('name'=>'VIRGIN ISLANDS, U.S.','code'=>'1340'),
		'VN'=>array('name'=>'VIET NAM','code'=>'84'),
		'VU'=>array('name'=>'VANUATU','code'=>'678'),
		'WF'=>array('name'=>'WALLIS AND FUTUNA','code'=>'681'),
		'WS'=>array('name'=>'SAMOA','code'=>'685'),
		'XK'=>array('name'=>'KOSOVO','code'=>'381'),
		'YE'=>array('name'=>'YEMEN','code'=>'967'),
		'YT'=>array('name'=>'MAYOTTE','code'=>'262'),
		'ZA'=>array('name'=>'SOUTH AFRICA','code'=>'27'),
		'ZM'=>array('name'=>'ZAMBIA','code'=>'260'),
		'ZW'=>array('name'=>'ZIMBABWE','code'=>'263')
	);	
	return $country_codes;
}
/* Dropdown array for country code*/
function aonesms_get_country_code_dropdown() 
{
	$countrycodes = array();
	
	$country_codes = aonesms_get_country_codes();
	if(!empty($country_codes))
	{
		foreach($country_codes as $key => $country)
		{
			$countryname = ucwords(strtolower($country["name"]));
			$code = $country['code'];
			
			$countrycodes['+'.$code] = $key.' - '.$countryname.' (+'.$code.')';
		}
	}
	
	return $countrycodes;
}

/* Create custom table */
function aonesms_create_tables()
{ 
	global $wpdb, $aonesms_prefix;
	
	$aonesms_prefix = 'aonesms_';
	
	/*Create table to mobile otp*/
	$wpdb->query(
		"CREATE TABLE IF NOT EXISTS `{$aonesms_prefix}mobile_otp` (
			`countrycode`       MEDIUMINT(8) NOT NULL,
			`phone`      	 	VARCHAR(28) NOT NULL,
			`otp`       	 	VARCHAR(28) NOT NULL,
			`time`       	 	datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
			UNIQUE ID(phone)
		) ENGINE = INNODB
		DEFAULT CHARACTER SET = utf8
		COLLATE = utf8_general_ci"
	);
}

/* Get user info from phone number */
function aonesms_get_userinfo_from_phone($phone)
{
  global $wpdb;
  
  $key = 'sms_phone';
  $row = $wpdb->get_row($wpdb->prepare('SELECT * FROM '.$wpdb->usermeta.' WHERE `meta_key` = %s AND `meta_value` = %s',$key,$phone));
  
  if(!empty($row)) 
  {
  	return get_user_by( 'id', $row->user_id);
  }else
  {
  	return NULL;
  }
}

/* Get redirect url after login */
function aonesms_get_redirect_after_login($userid = 0)
{
	global $service_finder_options;
	
	$role = service_finder_getUserRole($userid);
	$pageid  = '';
	if($role == "Provider"){
		$pageid = aonesms_get_data($service_finder_options,'login-redirect-provider-option');
	}elseif($role == "Customer")
	{
		$pageid = aonesms_get_data($service_finder_options,'login-redirect-customer-option');
	}
	
	if($pageid != 'no' && $pageid > 0 && $pageid != '')
	{
		$url = get_permalink($pageid);
	}else
	{
		$url = USER_URL;
	}
	
	return $url;
}

/* Get redirect url after signup */
function aonesms_get_redirect_after_signup($userid = 0)
{
	global $service_finder_options;
	
	$role = service_finder_getUserRole($userid);
	$pageid  = '';
	if($role == "Provider"){
		$pageid = aonesms_get_data($service_finder_options,'signup-redirect-option');
	}elseif($role == "Customer")
	{
		$pageid = aonesms_get_data($service_finder_options,'signup-redirect-customer-option');
	}
	
	if($pageid != 'no' && $pageid > 0 && $pageid != '')
	{
		$url = get_permalink($pageid);
	}else
	{
		$url = USER_URL;
	}
	
	return $url;
}

// Generate unique username
function aonesms_generate_unique_username( $username ) 
{

	$username = sanitize_title( $username );

	static $i;
	if ( null === $i ) {
		$i = 1;
	} else {
		$i ++;
	}
	if ( ! username_exists( $username ) ) {
		return $username;
	}
	$new_username = sprintf( '%s-%s', $username, $i );
	if ( ! username_exists( $new_username ) ) {
		return $new_username;
	} else {
		return call_user_func( __FUNCTION__, $username );
	}
}

/*Alerts messages html*/
function aonesms_alert_messages_structure($type,$message = '') {
	$output = '';
	switch($type)
	{
		case 'error':
				$output = '<div class="alert alert-danger">'.$message.'</div>';
				break;
		case 'success':
				$output = '<div class="alert alert-success">'.$message.'</div>';
				break;
		case 'info':
				$output = '<div class="alert alert-info">'.$message.'</div>';
				break;
		case 'warning':
				$output = '<div class="alert alert-warning">'.$message.'</div>';
				break;				
		default:
				break;		
	}			
	
	return $output;
}

/* Save default data after otp login */
function aonesms_fn_after_otp_signup($user_id){
	global $wpdb, $service_finder_Tables, $service_finder_options;
	
	$userdata = $wpdb->get_row($wpdb->prepare('SELECT * FROM '.$wpdb->users.' WHERE `ID` = %d',$user_id));
	
	$role = service_finder_getUserRole($user_id);
	
	$comment_post = array(
        'post_title' =>  $userdata->display_name,
        'post_status' => 'publish',
        'post_type' => 'sf_comment_rating',
		'comment_status' => 'open',
    );

    $postid = wp_insert_post( $comment_post );
	
	update_user_meta($user_id, 'comment_post', $postid);
	
	update_user_meta($user_id, 'nickname', $userdata->display_name);
	$initialamount = 0;
	update_user_meta($user_id,'_sf_wallet_amount',$initialamount);
	
	if($role == "Provider")
	{
		if($service_finder_options['account-moderation']){
			$adminapproval = 'pending';
		}else{
			$adminapproval = 'approved';
		}
		
		$fname = get_user_meta($user_id, 'first_name', true);
		$lname = get_user_meta($user_id, 'last_name', true);
		$phone = get_user_meta($user_id, '_contact_number', true);
		
		$data = array(
					'wp_user_id' => $user_id,
					'phone' => $phone,
					'admin_moderation' => $adminapproval,
					'full_name' => $userdata->display_name,
					'email' => $userdata->user_email,
				);
		
		$wpdb->insert($service_finder_Tables->providers,wp_unslash($data));
		
		if(service_finder_availability_method($user_id) == 'timeslots')
		{
			if(function_exists('service_finder_create_default_timeslots'))
			{
				service_finder_create_default_timeslots($user_id);
			}
		}elseif(service_finder_availability_method($user_id) == 'starttime')
		{
			if(function_exists('service_finder_create_default_timeslots'))
			{
				service_finder_create_default_timeslots($user_id);
			}	
		}
		
		if(function_exists('service_finder_set_default_business_hours'))
		{
			service_finder_set_default_business_hours($user_id);
		}
		
		if(function_exists('service_finder_set_default_booking_settings'))
		{
			service_finder_set_default_booking_settings($user_id);
		}
		
		$args = array(
			'username' => esc_attr($userdata->user_login),
			'email' => esc_attr($userdata->user_email),
			'payment_type' => esc_html__( 'Via OTP Signup', 'aonesms' )
		);
		
		if(function_exists('service_finder_sendProviderEmail'))
		{
			service_finder_sendProviderEmail($args);
		}
		if(function_exists('service_finder_sendRegMailToUser'))
		{
			service_finder_sendRegMailToUser($userdata->user_login,$userdata->user_email);
		}
		
		$period = aonesms_get_data($service_finder_options,'job-apply-limit-period');
		$numberofweekmonth = aonesms_get_data($service_finder_options,'job-apply-number-of-week-month',1);
		$numberofperiod = aonesms_get_data($service_finder_options,'job-apply-number-of-week-month');
		
		$startdate = date('Y-m-d h:i:s');
		
		if($period == 'weekly'){
			$freq = 7 * $numberofweekmonth;
			$expiredate = date('Y-m-d h:i:s', strtotime("+".$freq." days"));
		}elseif($period == 'monthly'){
			$freq = 30 * $numberofweekmonth;
			$expiredate = date('Y-m-d h:i:s', strtotime("+".$freq." days"));
		}
		
		$data = array(
				'provider_id' => $user_id,
				'membership_date' => $startdate,
				'start_date' => $startdate,
				'expire_date' => $expiredate,
				);
		
		$wpdb->insert($service_finder_Tables->job_limits,wp_unslash($data));
		
		$memberData = array(
					'member_name' => $userdata->display_name,
					'email' => $userdata->user_email,
					'admin_wp_id' => $user_id,
					'is_admin' => 'yes',
					);
		
		$wpdb->insert($service_finder_Tables->team_members,wp_unslash($memberData));
	}elseif($role == "Customer")
	{
		$data = array(
					'wp_user_id' => $user_id,
				);
		
		$wpdb->insert($service_finder_Tables->customers_data,wp_unslash($data));
		
		$allowedjobapply = (!empty($service_finder_options['default-job-post-limit'])) ? $service_finder_options['default-job-post-limit'] : '';
			
		$period = aonesms_get_data($service_finder_options,'job-post-limit-period');
		$numberofweekmonth = aonesms_get_data($service_finder_options,'job-post-number-of-week-month',1);
		$numberofperiod = aonesms_get_data($service_finder_options,'job-post-number-of-week-month');
		
		$startdate = date('Y-m-d h:i:s');
		
		$expiredate = '';
		
		if($period == 'weekly'){
			$freq = 7 * $numberofweekmonth;
			$expiredate = date('Y-m-d h:i:s', strtotime("+".$freq." days"));
		}elseif($period == 'monthly'){
			$freq = 30 * $numberofweekmonth;
			$expiredate = date('Y-m-d h:i:s', strtotime("+".$freq." days"));
		}
		
		$data = array(
				'provider_id' => $user_id,
				'free_limits' => $allowedjobapply,
				'available_limits' => $allowedjobapply,
				'membership_date' => $startdate,
				'start_date' => $startdate,
				'expire_date' => $expiredate,
				);
		
		$wpdb->insert($service_finder_Tables->job_limits,wp_unslash($data));
		
		if(function_exists('service_finder_sendRegMailToUser'))
		{
			service_finder_sendRegMailToUser($userdata->user_login,$userdata->user_email);
		}
		if(function_exists('service_finder_sendCustomerEmail'))
		{
			service_finder_sendCustomerEmail($userdata->user_login,$userdata->user_email);
		}
	}
}
add_action('aonesms_after_otp_signup', 'aonesms_fn_after_otp_signup',10,1);

/*Send sms notifications*/
function aonesms_send_sms_notifications($phone,$message){
global $wpdb, $service_finder_Tables, $service_finder_options;

	$sid = aonesms_get_data($service_finder_options,'twillio-sid');
	$token = aonesms_get_data($service_finder_options,'twillio-token');
	$twiliosenderid = aonesms_get_data($service_finder_options,'twillio-senderid');
	$countrycode = aonesms_get_data($service_finder_options,'twillio-countrycode');
	
	$phone = ltrim($phone, '0');
	
	$tonumber = $countrycode.''.$phone;

	if($phone != ''){
	
	try {
		$client = new Client($sid, $token);
		$message = $client->messages->create(
			$tonumber,
			array(
				"body" => $message,
				"from" => $twiliosenderid,
			)
		);
		
		return $message;
		
	}catch(Exception $e){
		return $e->getMessage();
	}
			
	}
}

/*Send sms notifications*/
function aonesms_login_aftersignup(){
	global $service_finder_options;
	
	$loginaftersignup = aonesms_get_data($service_finder_options,'login-after-signup');
	
	return $loginaftersignup;
	
}

/* Get data from array/object by key */
function aonesms_get_data( $obj, $key, $default = '' )
{
	if( !$obj )
	{
		return false;
	}
	
	if( is_object( $obj ) && isset( $obj->$key ) )
	{
		return (!empty($obj->$key)) ? $obj->$key : $default;
	}elseif( is_array( $obj ) && isset( $obj[$key] ) )
	{
		return (!empty($obj[$key])) ? $obj[$key] : $default;
	}elseif( $default )
	{
		return (!empty($default)) ? $default : '';
	}else
	{
		return false;
	}
}
