<?php

class aonesms_shortcodes {

    public function __construct() {

		/* Shortcodes for login signup via otp */
        add_shortcode( 'aonesms_otp_login_signup', array( $this, 'aonesms_fn_otp_login_signup'));
		
		/* Shortcodes for login signup via otp form */
        add_shortcode( 'aonesms_otp_login_signup_form', array( $this, 'aonesms_fn_otp_login_signup_form'));
		
		/* Login/signup popup */
		add_action( 'wp_footer', array( $this, 'aonesms_fn_otp_login_signup_popup'), 10, 0 );
		
		/* Save signup data */
		add_action( 'wp_ajax_member_otpregistration', array( $this, 'aonesms_fn_savedata_after_signup') );
		add_action( 'wp_ajax_nopriv_member_otpregistration', array( $this, 'aonesms_fn_savedata_after_signup') );
		
		/* Login after submit */
		add_action( 'wp_ajax_member_otplogin', array( $this, 'aonesms_fn_login_after_submit') );
		add_action( 'wp_ajax_nopriv_member_otplogin', array( $this, 'aonesms_fn_login_after_submit') );
		
    }

	/* Save signup data */
    public function aonesms_fn_savedata_after_signup() {
	// verifying POST data and create new user by otp
	if(isset($_POST["code"]) && isset($_POST['action']) && $_POST['action'] == 'member_otpregistration'){
		global $aonesmsredirect;
		$code = (isset($_POST["code"])) ? sanitize_text_field($_POST["code"]) : '';
		$csrf_nonce = (isset($_POST["csrf_nonce"])) ? sanitize_text_field($_POST["csrf_nonce"]) : '';
		$firstname = (isset($_POST["firstname"])) ? sanitize_text_field($_POST["firstname"]) : '';
		$lastname = (isset($_POST["lastname"])) ? sanitize_text_field($_POST["lastname"]) : '';
		$user_role = (isset($_POST["user_role"])) ? sanitize_text_field($_POST["user_role"]) : '';
		$autologin = (isset($_POST["autologin"])) ? sanitize_text_field($_POST["autologin"]) : '';
		$redirect_uri = (isset($_POST["redirect_uri"])) ? sanitize_text_field($_POST["redirect_uri"]) : '';
		
		$fullname = $firstname.' '.$lastname;
		$userlogin = $firstname.' '.$lastname;
		
		$_SESSION["code"] = $code;
		$_SESSION["csrf_nonce"] = $csrf_nonce;
		
		if((aonesms_get_sms_gateway() == 'firebase' || aonesms_get_sms_gateway() == 'twilio') && aonesms_sms_gatway_is_configured() == true){
		
		$phone = (isset($_POST["signup_mobile_number"])) ? sanitize_text_field($_POST["signup_mobile_number"]) : '';
		$country_code = (isset($_POST["signup_country_code"])) ? sanitize_text_field($_POST["signup_country_code"]) : '';
		
		$nationalnumber = $phone;
		$phone = $country_code.$phone;
		$countrycode = $country_code;
		$countrycode = str_replace("+", "", $countrycode);
		
		}
		
		$userphone = str_replace("+", "", $phone);
		
		if(empty($userlogin)) {
		
			$check = username_exists($userphone);
			if (!empty($check)) {
				$aonesmsredirect->error(esc_html__('Phone number already in use!','aonesms'), home_url());
				exit;
			} else {
				$userlogin = $userphone;
			}
		
		}
		
		if(empty($userlogin))
		{
		$aonesmsredirect->error(esc_html__('Error while generating username!','aonesms'), home_url());
		exit;
		}
		$phoneuser = aonesms_get_userinfo_from_phone($userphone);
		
		if ($phoneuser != null) {
			$response = array(
				'message'   => esc_html__('Phone number already in use!','aonesms')
			);
			wp_send_json_error($response);
			exit;
		} else if (username_exists($userphone)) {
			$response = array(
				'message'   => esc_html__('Phone number already in use!','aonesms')
			);
			wp_send_json_error($response);
			exit;
		}
		
		if(!empty($userlogin))
		{
			$password = wp_generate_password();
			 
			$userlogin = sanitize_user($userlogin,true);
			
			$userlogin = aonesms_generate_unique_username( $userlogin );
			
			if(username_exists($userlogin)) 
			{
			$response = array(
				'message'   => esc_html__('Username already exist.','aonesms')
			);
			wp_send_json_error($response);
			exit;
			}
			
			$userdata = array(
				'user_login'  =>  $userlogin,
				'user_pass'   =>  $password,
				'role'   	  =>  $user_role,
				'user_nicename'  => $userlogin,
				'display_name'  =>  $fullname,
			);
			$new_user = wp_insert_user( $userdata ) ;
	
			if (! is_wp_error( $new_user ) ) {
				update_user_meta($new_user, 'sms_countrycode', $countrycode);
				update_user_meta($new_user, 'sms_phone', $countrycode . $nationalnumber);
				update_user_meta($new_user, 'sms_phone_with_countrycode', $phone);
				update_user_meta($new_user, '_contact_number', $nationalnumber);
				update_user_meta($new_user, 'first_name', $firstname);
				update_user_meta($new_user, 'last_name', $lastname);
				
				do_action('aonesms_after_otp_signup',$new_user);
				
				if(aonesms_login_aftersignup())
				{
				$userphone = str_replace("+", "", $phone);
				$phoneuser = aonesms_get_userinfo_from_phone($userphone);
				
				wp_set_current_user($new_user, $userlogin);
				wp_set_auth_cookie($new_user);
		
				do_action( 'wp_login', $userlogin, $phoneuser );
				
				$redirecturl = aonesms_get_redirect_after_login($new_user);
				
				$response = array(
					'redirecturl'   => $redirecturl,
					'message'   => esc_html__('You\'ve been logged in','aonesms')
				);
				wp_send_json_success($response);
				exit;
				}else
				{
				
				$displaymessage = esc_html__('Registered Successfully. Please Login..!','aonesms');
				$redirecturl = aonesms_get_redirect_after_signup($new_user);
				
				$response = array(
					'redirecturl'   => $redirecturl,
					'message'   => esc_html__('Registered Successfully. Please Login..!','aonesms')
				);
				wp_send_json_success($response);
				exit;
				}
	
			}else{
				if ( is_wp_error( $new_user ) )
				{ 	
					foreach ( $new_user->get_error_messages() as $error ) 
					{
						$response = array(
							'message'   => $error
						);
						wp_send_json_error($response);
						exit;
					}	
				}
			}
		}
	}
	}
	
	/* Login after submit login form */
    public function aonesms_fn_login_after_submit() {
	// verifying POST data and Login by otp
	if(isset($_POST["code"]) && isset($_POST['action']) && $_POST['action'] == 'member_otplogin'){
		global $aonesmsredirect;
		$code = (isset($_POST["code"])) ? sanitize_text_field($_POST["code"]) : '';
		$csrf_nonce = (isset($_POST["csrf_nonce"])) ? sanitize_text_field($_POST["csrf_nonce"]) : '';
	
		$_SESSION["code"] = $code;
		$_SESSION["csrf_nonce"] = $csrf_nonce;
		
		if((aonesms_get_sms_gateway() == 'firebase' || aonesms_get_sms_gateway() == 'twilio') && aonesms_sms_gatway_is_configured() == true){
		
		$phone = (isset($_POST["login_mobile_number"])) ? sanitize_text_field($_POST["login_mobile_number"]) : '';
		$country_code = (isset($_POST["login_country_code"])) ? sanitize_text_field($_POST["login_country_code"]) : '';
		
		$nationalnumber = $phone;
		$phone = $country_code.$phone;
		$countrycode = $country_code;
		$countrycode = str_replace("+", "", $countrycode);
		
		}
		
		$userphone = str_replace("+", "", $phone);
		$phoneuser = aonesms_get_userinfo_from_phone($userphone);
		
		if ($phoneuser) {
			wp_set_current_user($phoneuser->ID, $phoneuser->user_login);
			wp_set_auth_cookie($phoneuser->ID);
	
			do_action( 'wp_login', $phoneuser->user_login, $phoneuser );
			
			$redirecturl = aonesms_get_redirect_after_login($phoneuser->ID);
			
			$response = array(
				'redirecturl'   => $redirecturl,
				'message'   => esc_html__('You\'ve been logged in','aonesms')
			);
			wp_send_json_success($response);
			exit;
	
		}else{
			$response = array(
				'message'   => esc_html__('Invalid mobile number!','aonesms')
			);
			wp_send_json_error($response);
			exit;
		}
		
	}

		
	}
	
	/* Shortcodes define for login signup via otp */
    public function aonesms_fn_otp_login_signup() {
		ob_start();
		?>
        <a href="javascript:;" class="btn btn-custom btn-block sf-otp-btn openotpsignup"><i class="fa fa-mobile"></i> <?php echo esc_html__('Signup Via OTP','aonesms'); ?></a>
		<?php
		return ob_get_clean();
	}
	
	/* Login/signup popup */
    public function aonesms_fn_otp_login_signup_popup() {
	?>
		<div class="modal fade" id="otploginsignuppopup" role="dialog">
            <div class="modal-dialog">
              <!-- Modal content-->
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                  <h4 class="modal-title"><?php esc_html_e('Login/Signup','aonesms'); ?></h4>
                </div>
                <div class="modal-body">
                    <?php
                    if ( shortcode_exists('aonesms_otp_login_signup_form') && !is_user_logged_in())
                    {
                        echo do_shortcode('[aonesms_otp_login_signup_form]');
                    }	
                    ?>                
                </div>
              </div>
            </div>
        </div>
	<?php
	}
	
	/* Login/signup form */
    public function aonesms_fn_otp_login_signup_form() {
		if(aonesms_get_sms_gateway() == 'firebase' && aonesms_sms_gatway_is_configured() == true)
		{
			wp_register_script('firebase', AONESMS_PLUGIN_DIR . '/js/firebase.js', array(), null, false);
			wp_register_script('firebase-auth', AONESMS_PLUGIN_DIR . '/js/firebase-auth.js', array('firebase'), null, false);
			
			wp_enqueue_script('firebase');
			wp_enqueue_script('firebase-auth');
			wp_add_inline_script('firebase-auth', aonesms_init_firebase());
		}
		
		$length = 6;
		$twiliocode = substr(str_shuffle("abcdefghijklmnopqrstuvwxyz"), 0, $length);
			
		$jsdata = 'var jsdata = { 
				"smsgateway": "'.aonesms_get_sms_gateway().'",
				"smsconfigure": "'.aonesms_sms_gatway_is_configured().'",
				"signup_csrf_nonce": "'.wp_create_nonce('signup-otp').'",
				"login_csrf_nonce": "'.wp_create_nonce('login-otp').'",
				"twiliocode": "'.$twiliocode.'",
				};';
		
		wp_enqueue_script('aonesms-otpsignup');
		wp_add_inline_script('aonesms-otpsignup', $jsdata, 'before');
		
		$string_array = array(
			'otpsent' => esc_html__( 'Please check your mobile for OTP.', 'aonesms' ),
			'invalidphonenumber' => esc_html__( 'Invalid phone number', 'aonesms' ),
			'numbernotexist' => esc_html__( 'Phone number not exist. Please signup', 'aonesms' ),
			'selectcountrycode' => esc_html__( 'Please select country code', 'aonesms' ),
			'firstnamereq' => esc_html__( 'Please Enter your first name', 'aonesms' ),
			'lastnamereq' => esc_html__( 'Please Enter your last name', 'aonesms' ),
			'phonevalid' => esc_html__( 'The phone no must be a number', 'aonesms' ),
			'phonereq' => esc_html__( 'Please Enter your phone number', 'aonesms' ),
			'rolereq' => esc_html__( 'Choose user role', 'aonesms' ),
			'locale' => 'en',
		);
		wp_localize_script( 'aonesms-otpsignup', 'smsparam', $string_array );
	
	?>
		<div class="aon-tabs-one <?php echo (aonesms_sms_gatway_is_configured() == false) ? 'sf-sms-notconfig' : ''; ?>">
            <div class="tabbable">
            <ul class="nav nav-tabs nav-table-cell text-center font-16">                                        
                <li class="active"><a data-toggle="tab" href="#popuptab-111"><?php esc_html_e('Login','aonesms'); ?></a></li>
                <li><a data-toggle="tab" href="#popuptab-222"><?php esc_html_e('Signup','aonesms'); ?></a></li>                                        
            </ul>                                       
            <div class="tab-content clearfix">
                <div id="popuptab-111" class="tab-pane fade in active">
					<?php
                    if(aonesms_sms_gatway_is_configured() == true)
                    {
                    ?>
                    <form name="otplogin_form" method="post" id="otploginformpopup" class="row">
                        <input type="hidden" name="action" value="member_otplogin">
                        <input type="hidden" name="code" id="login_code_popup">
                        <input type="hidden" name="csrf_nonce" id="login_csrf_nonce_popup">
                        <input type="hidden" name="redirect_uri" value="">
                        <?php wp_nonce_field( 'member_otplogin', 'member_otplogin' ); ?>
                        
                            <div class="col-md-12">
                                <div class="form-group">
                                    <select class="sf-select-box form-control" name="login_country_code" data-live-search="true" title="<?php esc_html_e('Country Code', 'aonesms'); ?>" id="signup_country">
                                    <?php
                                    $countrycodes = aonesms_get_country_code_dropdown();
                                    if(!empty($countrycodes))
                                    {
                                        foreach($countrycodes as $key => $countrycode)
                                        {
                                            echo '<option value="'.esc_attr($key).'">'.esc_html($countrycode).'</option>';
                                        }
                                    }
                                    ?>
                                      
                                    </select>
                                </div>
                      		</div>
                            <div class="col-md-12">
                               <div class="form-group">
                                 <input type="text" class="form-control" name="login_mobile_number" placeholder="<?php esc_html_e('Mobile Number', 'aonesms'); ?>">
                               </div>
                            </div>
                            
                            <?php
                            if( (aonesms_get_sms_gateway() == 'firebase' || aonesms_get_sms_gateway() == 'twilio') && aonesms_sms_gatway_is_configured() == true )
                            {
                            ?>
                            <div class="col-md-12">
                            <div class="input input-animate collapse" id="loginotpboxpopup">
                                <label><?php esc_html_e('OTP','aonesms') ?></label>
                                <input title="<?php esc_html_e('Please enter OTP','aonesms') ?>" class="form-control" required name="loginotp" id="loginotppopup" type="text">
                                <span class="spin"></span>
                                <a href="javascript:;" class="site-button-link resendotppopup"><?php esc_html_e('Resend OTP','aonesms') ?></a>
                            </div>
                            <input type="hidden" value="1" id="aonesms_login_via_fr_otp" />
                            </div>
                            <?php 
                            }
                            ?>
                            <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary otploginpopup"><?php esc_html_e('Login','aonesms') ?> <span id="sendloginotploading" class="sf-signup-loading-icon"><i class="fa fa-refresh fa-spin margin-bottom"></i></span></button>
                            </div>
                            </div>
                        </form>
                    <?php
                    }
                    ?>
                </div>
                <div id="popuptab-222" class="tab-pane fade">
                    <?php
					if(aonesms_sms_gatway_is_configured() == true)
					{
					?>
					<form name="otpregister_form" method="post" id="otpregisterformpopup" class="row">
						<input type="hidden" name="action" value="member_otpregistration">
						<input type="hidden" name="code" id="signup_code_popup">
						<input type="hidden" name="csrf_nonce" id="signup_csrf_nonce_popup">
						<input type="hidden" name="redirect_uri" value="">
						<input type="hidden" name="autologin" value="<?php echo AUTOLOGIN_AFTER_SIGNUP; ?>">
						<?php wp_nonce_field( 'member_otpregistration', 'member_otpregister' ); ?>
                        
                            <div class="col-md-6">
                               <div class="form-group">
                                 <input type="text" class="form-control" name="firstname" placeholder="<?php esc_html_e('First Name', 'aonesms'); ?>">
                               </div>
                            </div>
                            <div class="col-md-6">
                               <div class="form-group">
                                 <input type="text" class="form-control" name="lastname" placeholder="<?php esc_html_e('Last Name', 'aonesms'); ?>">
                               </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <select class="sf-select-box form-control" name="signup_country_code" data-live-search="true" title="<?php esc_html_e('Country Code', 'aonesms'); ?>" id="signup_country">
                                    <?php
                                    $countrycodes = aonesms_get_country_code_dropdown();
                                    if(!empty($countrycodes))
                                    {
                                        foreach($countrycodes as $key => $countrycode)
                                        {
                                            echo '<option value="'.esc_attr($key).'">'.esc_html($countrycode).'</option>';
                                        }
                                    }
                                    ?>
                                      
                                    </select>
                                </div>
                      		</div>
                            <div class="col-md-12">
                               <div class="form-group">
                                 <input type="text" class="form-control" name="signup_mobile_number" placeholder="<?php esc_html_e('Mobile Number', 'aonesms'); ?>">
                               </div>
                            </div>
							<?php
							if( (aonesms_get_sms_gateway() == 'firebase' || aonesms_get_sms_gateway() == 'twilio') && aonesms_sms_gatway_is_configured() == true )
							{
							?>
							<div class="col-md-12">
                            <div class="input input-animate collapse" id="signupotpboxpopup">
								<label><?php esc_html_e('OTP','aonesms') ?></label>
								<input title="<?php esc_html_e('Please enter OTP','aonesms') ?>" class="form-control" required size="30" name="signupotp" id="signupotppopup" type="text">
								<span class="spin"></span>
								<a href="javascript:;" class="site-button-link resendsignupotppopup"><?php esc_html_e('Resend OTP','aonesms') ?></a>
							</div> 
							<input type="hidden" value="1" name="salon_signup_via_fr_otp" />
                            </div>
							<?php 
							} 
							?>
                            <div class="col-md-12">
                            <div class="form-inline input-animate">
								<label><?php esc_html_e('User Role','aonesms') ?></label>
                                <div class="radio sf-radio-checkbox">
                              	<input id="provider_role" type="radio" name="user_role" value="Provider">
                              	<label for="provider_role"><?php esc_html_e('Provider','aonesms') ?></label>
                            	</div>
                            	<div class="radio sf-radio-checkbox">
                              	<input id="customer_role" type="radio" name="user_role" value="Customer">
                              	<label for="customer_role"><?php esc_html_e('Customer','aonesms') ?></label>
                            	</div>
                            </div>
                            </div>
                            <div class="col-md-12">
							<div class="form-group">
								<button type="button" class="btn btn-primary otpregisterpopup"><?php esc_html_e('Sign up','aonesms') ?> <span id="sendregotploading" class="sf-signup-loading-icon"><i class="fa fa-refresh fa-spin margin-bottom"></i></span></button>
							</div>
                            </div>
						</form>
					<?php
					}
					?>
                </div>
            </div>
            </div>
        </div>
	<?php
	}
}